yandex-tools-idm (117.10) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5554: Функция SystemWrapper.all_users_with_roles() требует слишком много памяти

  [ Alexey Boriskin ]
  * IDM-5542: Поправил ошибку перевода
  * IDM-5542: Поправил забытый импорт
  * IDM-5542: Добавил деталей при ошибке нарушения уникальности при перезапросе роли
  * IDM-5542: Поправил тесты, падающие из-за неверного скоупинга фикстуры
  * IDM-5552: Фильтры get_alike должны повторять фильтры is_unique

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 25 May 2018 21:10:34 +0300

yandex-tools-idm (117.9) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-3942: Не рассылаем уведомления при отзыве задублированной роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 May 2018 19:18:58 +0300

yandex-tools-idm (117.8) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5495: Логировать read-only

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 May 2018 17:00:10 +0300

yandex-tools-idm (117.7) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5274: Переделал генерацию workflow
  * IDM-5274: Починил пропавшие куски админки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 15 May 2018 23:40:07 +0300

yandex-tools-idm (117.6) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5048: Перевёл тест на simple систему
  * IDM-5048: Дочерние роли не требуют подтверждений

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 14 May 2018 21:31:55 +0300

yandex-tools-idm (117.5) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5274: Выгрузка матрицы конфликтов в воркфлоу OEBS (#1393)

  [ Alexey Boriskin ]
  * IDM-3942: Оптимизация миграций: выбираем только pk, увеличил размер пачки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 14 May 2018 18:02:50 +0300

yandex-tools-idm (117.4) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5503: Уменьшить лимиты cgroup

  [ Alexey Boriskin ]
  * IDM-3942: Обновление gitignore
  * IDM-3942: Мокаем gap (походы в него не были замоканы)
  * IDM-3942: Выводим самые медленные тесты
  * IDM-3942: Бросаем SystemExit (чтобы поймать места, где except Exception)
  * IDM-3942: Улучшен запрет на сетевые обращения в юнит-тестах
  * IDM-3942: Добавлено поле is_returnable, created теперь входит в returnable
  * IDM-3942: Функции создания уникальных индексов с where
  * IDM-3942: Создаём уникальные индексы в тестах
  * IDM-3942: Можно запросить 2 одинаковые роли с 1 формы запроса
  * IDM-3942: Изменён подход к локам ролей
  * IDM-3942: Указываем статус существующих ролей тогда, когда это возможно
  * IDM-3942: Новый тест
  * IDM-3942: Для тех фикстур, где это можно сделать, повышен scope до 'session'
  * IDM-3942: Миграции

  [ Vitaly Sopov ]
  * IDM-3942: добавлена команда для удаления дублирующихся ролей
  * IDM-3942: поправлены старые тесты
  * IDM-3942: поправлен неактуальный тест

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 14 May 2018 13:04:53 +0300

yandex-tools-idm (117.3) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5489: Выключаем подпись sid67
  * IDM-5401: Перепрогонять воркфлоу в таске
  * IDM-5415: Ходить в reqwizard с wizclient=idm
  * IDM-5452: Тесты

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 03 May 2018 20:53:39 +0300

yandex-tools-idm (117.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5462: Up django-replicated

  [ Alexander Lavrukov ]
  * Fix development config

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 28 Apr 2018 16:05:38 +0300

yandex-tools-idm (117.1) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5481: Обернуть uwsgi в cgroup

  [ Alexey Boriskin ]
  * Revert "IDM-5468 check master is_alive in get with 20 seconds downtime"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 27 Apr 2018 17:42:20 +0300

yandex-tools-idm (117.0) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5407: теперь в интрапоиск ходим через отдельную библиотеку

  [ Alexander Lavrukov ]
  * IDM-5447 CharField -> SlugField
  * IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)
  * IDM-5462 django_replicated up
  * IDM-5468 check master is_alive in get with 20 seconds downtime

  [ zivot ]
  * IDM-5048: Остановить рост количества дочерних ролей в статусе "Ошибка" (#1381)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Apr 2018 19:58:42 +0300

yandex-tools-idm (116.10.1) stable; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 08 May 2018 19:51:43 +0300

yandex-tools-idm (116.10) stable; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5503: Уменьшить лимиты cgroup

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 08 May 2018 19:11:58 +0300

yandex-tools-idm (116.9) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)

  [ Vladimir Kutyavin ]
  * IDM-5481: Обернуть uwsgi в cgroup

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 03 May 2018 15:33:49 +0300

yandex-tools-idm (116.8) stable; urgency=low

  [ Alexey Boriskin ]
  * Revert "IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)"
  * Revert "IDM-5468 check master is_alive in get with 20 seconds downtime"
  * Revert "IDM-5462 django_replicated up"
  * IDM-5489: Выключаем подпись sid67

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 30 Apr 2018 15:14:28 +0300

yandex-tools-idm (116.7) stable; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)
  * IDM-5462 django_replicated up
  * IDM-5468 check master is_alive in get with 20 seconds downtime

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Apr 2018 20:04:36 +0300

yandex-tools-idm (116.5) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5182: Поменял метод удаления для сервисов

  [ Alexey Boriskin ]
  * IDM-5412: Разрешаем расхождения для систем с inconsistency_policy == ‘trust’

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 03 Apr 2018 16:41:37 +0300

yandex-tools-idm (116.4) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5182: Добавил метод удаления для сервисов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 28 Mar 2018 16:42:31 +0300

yandex-tools-idm (116.3) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5182: Уменьшил page_size для abc-api

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 27 Mar 2018 20:10:37 +0300

yandex-tools-idm (116.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4874: Обновил replicated до 2.5

  [ Vladimir Kutyavin ]
  * IDM-5182: Перейти с plan-api на abc-api v3

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 27 Mar 2018 16:48:09 +0300

yandex-tools-idm (116.1) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4976: Снял django_db, порефакторил тесты, поправил падавший тест
  * IDM-4976: Поправил pg-only тесты
  * IDM-5351: Исправил забытую команду
  * IDM-4874: В связи с обновлением django-replicated нужно откатывать транзакцию только тогда, когда она существует, а теперь её при чтении не существует
  * IDM-4933: Поправил случай, когда внутренней роли не существует
  * IDM-4874: Переписал poke-методы в atomic_retry-безопасном стиле

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Mar 2018 22:25:16 +0300

yandex-tools-idm (116.0) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5351 new base command

  [ Alexey Boriskin ]
  * IDM-4976: Дописал и обновил django-pgaas
  * IDM-4976: Добавил ретраев по коду
  * IDM-4976: Стал ретраить все вьюхи
  * IDM-4976: Написал тестов на ретраи
  * IDM-4874: Обновить django-replicated
  * IDM-4976: Удалил следы переезда в Постгрес
  * IDM-4874: Обновить django-replicated
  * IDM-4976: replicated требует двух коннекшенов. удаляю middleware при прогоне тестов
  * IDM-4976: Очищаю кеш пермишенов в каждом тесте
  * IDM-4976: Оптимизирую создание кеша пермишенов
  * IDM-4976: Удалил старый тест
  * IDM-4976: Вернул PingException
  * IDM-4976: Попробуем reusedb
  * IDM-4976: Магия для починки тестов
  * IDM-4976: Поставил django_db в двух файлах, где его почему-то не было
  * IDM-4976: И ещё один django_db

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 06 Mar 2018 15:01:11 +0300

yandex-tools-idm (115.10) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5350 No send mail for invalid fer_role node

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 02 Mar 2018 14:10:05 +0300

yandex-tools-idm (115.9) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5347 split DN by / and ,

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Mar 2018 13:49:38 +0300

yandex-tools-idm (115.8) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5280: Добавить настройку "не ломать систему при обнаружении неконсистентносетй"  (#1365)
  * IDM-5343: Проверка полного отчёта на отсуствие в нём неконсистентностей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 27 Feb 2018 01:48:27 +0300

yandex-tools-idm (115.7) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5335: Использовать groupmembership вместо поля members

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 24 Feb 2018 11:38:42 +0300

yandex-tools-idm (115.6) testing; urgency=low

  [ Alexey Boriskin ]
  * Перенёс обработку перемещений в другую очередь
  * IDM-5288: Медленно работает перепрогон workflow
  * IDM-5284: Подправил конфигурацию для разработки
  * IDM-5284: Изменил зависимость на последний в официальном репо. Нужно обновить на 2.1, когда она выйдет
  * IDM-5284: Поправил конфиг для тестов
  * IDM-5284: Перепрогонять воркфлоу при перемещении узла для ролей с родительскими
  * IDM-5284: Поправил падающие тесты
  * IDM-5263: Поменял очередь и список компонент в настройках
  * IDM-5263: Изменить поведение при нахождении неконсистентности в SOX-системах
  * IDM-5263: Улучшил формат сообщения о неконсистентности
  * IDM-5263: Добавил обработку stringify
  * IDM-5291: Не отправляли письма про необходимость перезапроса
  * IDM-5291: Добавил тест на формат crontab, нашёл ещё проблем, поправил их

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 21 Feb 2018 11:36:57 +0300

yandex-tools-idm (115.5) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5222: Сократил срок заявок, которые мы считаем активными в Наниматоре, с 14 до 7 дней в прошлом, и расширил до года в будущем.

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Feb 2018 19:42:28 +0300

yandex-tools-idm (115.4) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5255: добавить в cron запуск допинывалки ролей для Qloud

  [ Alexey Boriskin ]
  * Удалил переход в requested, тесты его больше не используют
  * Убедился, что менять можно только три поля: review_at, node, system_specific
  * IDM-5261: Превышение порога на число уволенных пользователей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Feb 2018 16:33:05 +0300

yandex-tools-idm (115.3) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5254: Добавил проверок на повторный запуск

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 05 Feb 2018 14:49:31 +0300

yandex-tools-idm (115.2) testing; urgency=low

  [ Alexey Boriskin ]
  * Фикс разрешения перемещения пользователей в celery-задаче

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 05 Feb 2018 14:21:11 +0300

yandex-tools-idm (115.1) testing; urgency=low

  [ Alexey Boriskin ]
  * Фикс разрешения перемещения пользователей в celery-задаче

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 05 Feb 2018 12:40:23 +0300

yandex-tools-idm (115.0) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5209 убрал сложную проверку

  [ Alexey Boriskin ]
  * IDM-5200: Одинаково обрабатывать пустое необязательное поле при запросе через систему и через idm
  * IDM-5222: Проверка на свежесть всех статусов
  * IDM-5222: Выключил синхронизацию со Splunk до перехода на v3
  * TOOLSUP-28076: Сохраняю письма про подтверждение ролей в базу
  * IDM-5222: Переписал работу с LDAP. Разделил блокировку и перенос в Old Users
  * IDM-5222: Добавил статусы “ошибка” для добавления и удаления из AD-группы
  * IDM-5222: Поправил импорты и тесты
  * IDM-5222: Добавил тестов, поправил логгирование
  * IDM-5222: Переписал тесты ldap, создаю action только если действие случилось
  * IDM-XXXX: Разрешать перемещения в celery-тасках
  * IDM-5222: Доблокировка из любых недоблокированных состояний
  * IDM-5222: Фикс testapi

  [ Vitaly Sopov ]
  * IDM-4933: добавлен тест на неконсистентности типа UNKNOWN_ROLE
  * IDM-4933: теперь depriving-узлы считаются активными и не создают неконсистентность типа 'неизвестная роль'

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 02 Feb 2018 23:16:16 +0300

yandex-tools-idm (114.24) stable; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5350 No send mail for invalid fer_role node

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 02 Mar 2018 14:29:04 +0300

yandex-tools-idm (114.23) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5335: Использовать groupmembership вместо поля members

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 22 Feb 2018 18:09:21 +0300

yandex-tools-idm (114.22) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5288: Медленно работает перепрогон workflow
  * IDM-5284: Изменил зависимость на последний в официальном репо. Нужно обновить на 2.1, когда она выйдет
  * IDM-5284: Перепрогонять воркфлоу при перемещении узла для ролей с родительскими
  * IDM-5284: Поправил падающие тесты
  * IDM-5263: Поменял очередь и список компонент в настройках
  * IDM-5263: Изменить поведение при нахождении неконсистентности в SOX-системах
  * IDM-5263: Улучшил формат сообщения о неконсистентности
  * IDM-5263: Добавил обработку stringify
  * IDM-5291: Не отправляли письма про необходимость перезапроса
  * IDM-5291: Добавил тест на формат crontab, нашёл ещё проблем, поправил их

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 21 Feb 2018 11:47:07 +0300

yandex-tools-idm (114.21) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5222: Проверка на свежесть всех статусов
  * IDM-5222: Выключил синхронизацию со Splunk до перехода на v3
  * TOOLSUP-28076: Сохраняю письма про подтверждение ролей в базу
  * IDM-5222: Переписал работу с LDAP. Разделил блокировку и перенос в Old Users
  * IDM-5222: Добавил статусы “ошибка” для добавления и удаления из AD-группы
  * IDM-5222: Поправил импорты и тесты
  * IDM-5222: Добавил тестов, поправил логгирование
  * IDM-5222: Переписал тесты ldap, создаю action только если действие случилось
  * IDM-5222: Доблокировка из любых недоблокированных состояний
  * IDM-5222: Фикс testapi
  * Перенёс обработку перемещений в другую очередь
  * IDM-5222: Сократил срок заявок, которые мы считаем активными в Наниматоре, с 14 до 7 дней в прошлом, и расширил до года в будущем.

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Feb 2018 12:47:26 +0300

yandex-tools-idm (114.20) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5261: Превышение порога на число уволенных пользователей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Feb 2018 17:29:13 +0300

yandex-tools-idm (114.19) stable; urgency=low

  [ Vitaly Sopov ]
  * IDM-5255: добавить в cron запуск допинывалки ролей для Qloud

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 05 Feb 2018 16:39:34 +0300

yandex-tools-idm (114.18) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-XXXX: Разрешать перемещения в celery-тасках
  * Фикс разрешения перемещения пользователей в celery-задаче
  * Фикс разрешения перемещения пользователей в celery-задаче
  * IDM-5254: Добавил проверок на повторный запуск

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 05 Feb 2018 14:58:37 +0300

yandex-tools-idm (114.17) stable; urgency=low

  [ Vitaly Sopov ]
  * IDM-4933: теперь depriving-узлы считаются активными и не создают неконсистентность типа 'неизвестная роль'

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Feb 2018 19:35:14 +0300

yandex-tools-idm (114.15) stable; urgency=low

  [ Vitaly Sopov ]
  * IDM-5180: from_api теперь является опциональным элементом в data

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 29 Jan 2018 17:34:42 +0300

yandex-tools-idm (114.14) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5180: добавлено периодическое доудаление узлов в dumb-системах
  * IDM-5180: теперь случай с удалёнными узлами не учитывается при разрешении неконсистентностей
  * IDM-4933: для логики разрешения неконсистентностей добавлен тест (#1350)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 29 Jan 2018 16:07:41 +0300

yandex-tools-idm (114.13) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5180: если мы находим уже существующее действие удаления узла, мы используем его
  * IDM-5180: увеличен интервал задержки таски
  * IDM-5180: проброс узла и системы в таску

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 Jan 2018 19:57:40 +0300

yandex-tools-idm (114.12) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5180: убран atomic при удалении узла
  * IDM-5180: в тасках удаления узла action теперь подцепляется через or_retry

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 24 Jan 2018 17:45:37 +0300

yandex-tools-idm (114.11) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5099: Тормозит сохранение воркфлоу
  * Revert "IDM-5210 crutch for python bug"
  * Revert "IDM-5210 remove recursion from get_roles_tree()"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 23 Jan 2018 19:55:30 +0300

yandex-tools-idm (114.10) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5210 crutch for python bug

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 23 Jan 2018 13:23:14 +0300

yandex-tools-idm (114.9) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5210 remove recursion from get_roles_tree()

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 22 Jan 2018 19:51:55 +0300

yandex-tools-idm (114.8) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5180: удалён select_for_update() из отзыва ролей при удалении узла
  * IDM-5180: добавить проброс requester в mark_depriving

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 22 Jan 2018 15:31:12 +0300

yandex-tools-idm (114.7) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5205: PEP-8
  * IDM-5205: Удалил xfail тесты
  * IDM-5205: Удалил староватую логику
  * IDM-5205: PEP-8
  * IDM-5205: Передавать подробности про смену подразделения в историю роли
  * IDM-5205: Перестал писать робокоммент при подтверждении
  * IDM-5205: Поменял формулировки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 19 Jan 2018 13:44:29 +0300

yandex-tools-idm (114.6) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5209 убрал сложную проверку

  [ Vitaly Sopov ]
  * IDM-5218: считать пустую строку dependencies за None
  * IDM-5218: считать пустую строку options за None

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 19 Jan 2018 13:32:54 +0300

yandex-tools-idm (114.5) testing; urgency=low

  [ Alexey Boriskin ]
  * Не ходить в проверке в ручку ping

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 18 Jan 2018 12:16:48 +0300

yandex-tools-idm (114.4) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5208: Невозможно подтвердить роль

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 17 Jan 2018 01:17:47 +0300

yandex-tools-idm (114.3) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-3544: Обрабатывать удалённые группы. Отдаём дату отзыва группы в API.
  * Добавил настройки слейва по умолчанию
  * IDM-4933: Поправил название константы
  * IDM-4933: Добавил order_by
  * IDM-4933: Поменял тип скобочек
  * IDM-5180: Добавил файл ограничения памяти для новой очереди

  [ Vitaly Sopov ]
  * IDM-4933: реализовано отложенное удаление узлов при синхронизации
  * IDM-4933: добавлены и поправлены тесты
  * IDM-4933: теперь depriving узлы тоже могут быть восстановлены (создаётся новый узел и переносятся роли), написан тест, проверяющий корректный отзыв или восстановление узлов и связанных ролей при удалении узла
  * IDM-4933: теперь удаление depriving-узла форсируется при его замещении полученным из системы; переименование параметра в mark_depriving()
  * IDM-4933: поправлены старые тесты, полагающиеся на мгновенное удаление узла
  * IDM-4933: поправлено форсированное удаление узлов при переносе
  * IDM-4933: поправлены тесты
  * IDM-4933: реализован код отправки уведомлений
  * IDM-4933: report_problem() при отсутствии рассылок у системы теперь может отправлять письма всем ответственным
  * IDM-4933: небольшие правки в тестах
  * IDM-4933: правки в коде отправки уведомлений и в шаблоне
  * IDM-4933: добавлены тесты; переименованы команды, файлы, функции
  * IDM-4933: написаны тесты для get_node_by_unique_id()
  * IDM-4933: мелкие правки
  * IDM-4933: добавлен Least из Django 1.9, mark_depriving() переделана под его использование
  * IDM-4933: Least теперь используется вместе с Coalesce при не-postgres базах
  * IDM-4933: тесты теперь добавляют задержку между mark_depriving() и deprive_nodes()
  * IDM-4933: поправлено восстановление узлов без unique_id
  * IDM-4933: восстановление улов теперь сбрасывает хеш и вынесено в отнельную функцию
  * IDM-5055: добавлена возможность отзывать только узлы из переданного списка
  * IDM-5055: пометка удаляемых узлов и их удаление перемещены в celery-таски
  * IDM-5055: удаление ролей перенесено в отдельный таск, добавлена регулярная команда для доудаления ролей
  * IDM-5055: правки по тестам
  * IDM-5055: добавлен dictinct при фильтрации подвисших узлов
  * IDM-5055: добавлена миграция для Action
  * IDM-5055: прокидывание дополнительных параметров в действия

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 16 Jan 2018 20:58:52 +0300

yandex-tools-idm (114.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4641: Поправил ещё раз, добавил тест

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 15 Jan 2018 19:05:32 +0300

yandex-tools-idm (114.1) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5200: Одинаково обрабатывать пустое необязательное поле при запросе через систему и через idm
  * IDM-5191: Роли в состоянии approved не попадают в system.all_users_with_role
  * IDM-4641: Поправил сохранение данных в базу

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 15 Jan 2018 17:56:27 +0300

yandex-tools-idm (114.0) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-3294: Добавить на страницу группы поле с описанием

  [ Alexey Boriskin ]
  * IDM-5147: Саджест систем case-sensitive
  * IDM-4641: Починил тесты

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 11 Jan 2018 19:52:23 +0300

yandex-tools-idm (113.18) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5035: Поправил ещё один баг в majortom

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 29 Dec 2017 20:50:34 +0300

yandex-tools-idm (113.17) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5035: Поправил ещё один баг в majortom

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 29 Dec 2017 20:00:27 +0300

yandex-tools-idm (113.16) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5035: Поправлен баг в majortom

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 29 Dec 2017 19:41:52 +0300

yandex-tools-idm (113.15) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5021: Добавил per-system роли просматривающего роли и просматривающего workflow
  * IDM-5021: В конфликтах нужно указывать только полный slug, подстроки не должны работать
  * IDM-5021: Конфликты должны срабатывать только для указанной системы, а не для всех

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 27 Dec 2017 19:02:39 +0300

yandex-tools-idm (113.14) UNRELEASED; urgency=low

  * IDM-5021: Добавил per-system роли просматривающего роли и просматривающего workflow

 -- Alexey Boriskin <uruz@yandex-team.ru>  Wed, 27 Dec 2017 19:02:30 +0300

yandex-tools-idm (113.13) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-2186: Запускать локально для конкретной системы (#1321)

  [ Alexey Boriskin ]
  * IDM-5164: Поправил сборку/разборку кверисета

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 26 Dec 2017 16:58:09 +0300

yandex-tools-idm (113.12) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5164: Радикально уменьшил количество запросов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 26 Dec 2017 15:38:54 +0300

yandex-tools-idm (113.11) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5142: Попытка починить большие выгрузки
  * IDM-3410: Поправил падающие тесты

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 25 Dec 2017 20:52:25 +0300

yandex-tools-idm (113.10) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-3410: Перестал использовать клиентский сертификат там, где он не нужен
  * IDM-3410: Поправил баг с недопроброшенным decision-ом
  * IDM-3410: Добавил возможность вызова команды с границами времени создания заявки, поправил логику вычисления дат, включил команду

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 20 Dec 2017 21:58:16 +0300

yandex-tools-idm (113.9) testing; urgency=low

  * IDM-3410 Временно отключил запуск idm_decide_transfers

 -- Alexander Lavrukov <lavrukov@yandex-team.ru>  Thu, 14 Dec 2017 21:34:01 +0300

yandex-tools-idm (113.8) testing; urgency=low

  * IDM-5089: добавлен review_at в тестовый API, добавлен сброс даты пересмотра при пересмотре роли

 -- Vitaly Sopov <v-sopov@yandex-team.ru>  Wed, 13 Dec 2017 18:38:35 +0300

yandex-tools-idm (113.7) testing; urgency=low

  * resend

 -- Vitaly Sopov <v-sopov@yandex-team.ru>  Tue, 12 Dec 2017 15:31:07 +0300

yandex-tools-idm (113.6) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5089: правка по дате пересмотра

 -- Vitaly Sopov <v-sopov@yandex-team.ru>  Mon, 11 Dec 2017 17:21:46 +0300

yandex-tools-idm (113.5) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-3410: Отселил newhire в отдельный модуль
  * IDM-3410: Распилил STAFF_URL на две части
  * IDM-3410: Не пересматривать роли человека, если виш-форма так сказала
  * IDM-3410: Поправил падавшие тесты, выпилил флаг запрета перезапроса

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sun, 10 Dec 2017 01:01:54 +0300

yandex-tools-idm (113.4) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5130: Стрипать строчку при поиске по системе
  * IDM-5133: Не отправлять "пустые" оповещения о неактивных пользователях в AD

  [ Alexey Boriskin ]
  * IDM-5035: Подключил django-alive и majortom
  * IDM-5035: Обновил версию majortom, поправил вывод команды alivestate, чтобы он был в monrun-формате

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 09 Dec 2017 17:14:54 +0300

yandex-tools-idm (113.3) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5089: теперь дата пересмотра всегда отдаётся на фронтенд

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 08 Dec 2017 18:09:03 +0300

yandex-tools-idm (113.2) testing; urgency=low

  [ Alexey Boriskin ]
  * Pin OpenSSL to avoid errors like https://github.com/pyca/pyopenssl/issues/728

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 07 Dec 2017 14:03:38 +0300

yandex-tools-idm (113.1) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5111: Перенёс фикстуру cauth в общий conftest
  * IDM-5111: Поиск нод по алиасам в воркфлоу
  * IDM-5021: Реализация межсистемного конфликта ролей в IDM
  * IDM-4976: Вкрутить ретраи в IDM

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 06 Dec 2017 20:56:28 +0300

yandex-tools-idm (113.0) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5089: Выносим срок пересмотра в систему, воркфлоу и API (#1309)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 01 Dec 2017 19:06:34 +0300

yandex-tools-idm (112.33) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5092: За исключением системы ABC, шлём дайджест о необходимых к подтверждению ролях всем неотсутствующим подтверждающим

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 24 Nov 2017 13:44:30 +0300

yandex-tools-idm (112.32) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5090: Ошибка в кешировании саджеста. Refs TOOLSUP-25613

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 22 Nov 2017 19:26:44 +0300

yandex-tools-idm (112.31) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5075: Отселил всё про увольнение и синхронизацию сервисов в отдельные очереди. Больше очередей богу очередей!

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 20 Nov 2017 18:16:14 +0300

yandex-tools-idm (112.30) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5080: Синхронизировать Стафф в быстрой очереди
  * IDM-5075: Стал писать больше логов, добавил информацию о том, сколько памяти съела таска за время своей работы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 20 Nov 2017 17:11:26 +0300

yandex-tools-idm (112.29) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4927: Кеширую верхнеуровный саджест для каждой системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 18 Nov 2017 16:51:55 +0300

yandex-tools-idm (112.28) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5042: Разрешить ответственным чинить системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 17 Nov 2017 13:57:59 +0300

yandex-tools-idm (112.27) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5016: Добавил дискриминирующий фильтр, и запрос ускорился

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 16 Nov 2017 17:44:42 +0300

yandex-tools-idm (112.26) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4951: Добавил опцию синхронного запуска к idm_block_ad_users

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 16 Nov 2017 12:46:47 +0300

yandex-tools-idm (112.25) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5060: Поправил падающий тест и поменял условие на правильное
  * IDM-4864: Обновить django-tanker и переводы
  * IDM-2116: Отключил отсылку писем владельцу при наличии подтверждающих

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 15 Nov 2017 20:36:49 +0300

yandex-tools-idm (112.24) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5060: Добавил возможность синхронного запуска с помощью параметра --block

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 15 Nov 2017 14:40:44 +0300

yandex-tools-idm (112.23) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4927: Поправил падающие тесты и опечатку

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Nov 2017 20:44:11 +0300

yandex-tools-idm (112.22) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4927: Попытка ускорение саджеста за счёт уменьшения количества джойнов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Nov 2017 20:05:49 +0300

yandex-tools-idm (112.21) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5040: Перешёл на общий ресурс-предок при запуске команд

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Nov 2017 18:19:27 +0300

yandex-tools-idm (112.20) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5063: Добавил возможность передавать в API время с явной таймзоной

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Nov 2017 15:45:51 +0300

yandex-tools-idm (112.19) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-2116: Отселил письма в отдельную очередь

  [ Vladimir Kutyavin ]
  * IDM-5053: Уведомить владельцев перезапрошенных ролей, которые еще не были подтверждены

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Nov 2017 14:12:06 +0300

yandex-tools-idm (112.18) testing; urgency=low

  [ Alexey Boriskin ]
  * Починил падающий из-за проблем с таймзоной тест
  * IDM-4964: Поправил падавшие из-за нестабильности сортировки тесты. В рамках одного уровня и статуса добавлена сортировка по username
  * IDM-4948: Синхронизация групп забивает очередь
  * Revert "IDM-4812: Отдаём группу пользователя только для detail"
  * IDM-4948: Дописал тест для случая с approved ролями, но он изначально и не падал. Оставил, чтобы закрепить поведение тестом.
  * IDM-5065: Вернуть  поле department в ручку /users  для поискового саджеста

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 13 Nov 2017 14:13:00 +0300

yandex-tools-idm (112.17) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5016: Добавил индекс, который должен ускорить запрос внутри get_owners
  * IDM-5016: Поправил обработку создания индексов CONCURRENTLY

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 09 Nov 2017 20:43:59 +0300

yandex-tools-idm (112.16) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4941: Пожертвовал джойном, чтобы не делать слишком сложную миграцию
  * IDM-4951: Отпилил удаление виртуалок уволенных сотрудников (кажется, это не наш бизнес и ручки давно нет)
  * IDM-4951: Тестинг должен точнее соответствовать продакшену: запускаем блокировку пользователей в AD, добавление и удаление из AD-групп, отзываем роли у уволенных в тестинге
  * IDM-4951: Уточнил комментарий
  * IDM-4951: Расширил возможность получения deprivable ролей на другие модели
  * IDM-4951: Убрал лишние импорты
  * IDM-4951: Удалил настройку OEBS_DATA_PROCESSING, объединил два менеджера модели User в один, удалил валидацию количества в команде idm_deprive_roles, команда теперь занимается исключительно отзывом ролей у уволенных и ничем иным
  * IDM-4951: Переименовал таск
  * IDM-4951: Перенёс код блокировки в менеджер, команда idm_block_ad_users теперь работает в двух режимах: быстром и полном. В быстром режиме она блокирует неактивных пользователей с флагом ldap_active=True, в полном – проверяет всех неактивных в AD.
  * IDM-4951: Исправил циклическую зависимость
  * IDM-4951: Поправил тесты на idm_deprive_roles, решил, что нужно при отзыве sent ролей отсылать пуш в remove-role
  * IDM-4951: Перенёс и починил тесты на idm_block_ad_users
  * IDM-5045: Починил попутно сломанные тесты
  * IDM-5045: Добавил возможность сообщения об инцидентах отдельным письмом
  * IDM-5060: Переписал и включил предохранитель блокировки большого количества пользователей
  * IDM-5060: Переписал и включил предохранитель блокировки большого количества пользователей для команды отзыва ролей
  * IDM-5063: Добавил поле updated в API
  * IDM-5045: Починил давно сломанные в fulltest тесты
  * IDM-5045: Поменял название очереди на FIRE

  [ Vladimir Kutyavin ]
  * IDM-5042: Разрешить ответственным чинить системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 09 Nov 2017 18:30:34 +0300

yandex-tools-idm (112.15) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5004: функция хеширования узлов изменена на CRC32
  * IDM-4908: удалён лишний проход с рехешированием в UpdatableNode.synchronize()
  * IDM-4908: убрана преждевременная запись хеша при синхронизации нод
  * IDM-4908: хеш узлов теперь хранится в шестнадцатеричном виде, тестовые системы теперь не перехешируются при создании
  * IDM-4908: добавлен правильынй просчёт хеша при добавлении узлов, обнуление хешей предков при удалении узла
  * IDM-4908: в тесты добавлена проверка на корректность проставления хеша при перемещении узла

  [ Alexey Boriskin ]
  * Фикс для development-сервера

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 01 Nov 2017 20:02:01 +0300

yandex-tools-idm (112.14) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-4896: Разрешить ответственным системы видеть действия, связанные с системой
  * IDM-4896: Оптимизировал фильтр

  [ Alexey Boriskin ]
  * IDM-5045: Застревает очередь roles в тестинге idm

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 01 Nov 2017 17:43:35 +0300

yandex-tools-idm (112.13) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-4674: Добавил логирование скоупов
  * IDM-4674: проверка атрибута, отключение логгера в тестах

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 Oct 2017 20:52:40 +0300

yandex-tools-idm (112.12) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-4996: При синхронизации теперь не учитываются роли, чей статус был изменён во время сверки
  * IDM-4996: теперь время начала синхронизации мы берём из action
  * IDM-4996: добавлен тест, поправлен баг
  * IDM-4996: в тест добавлены depriving-роли

  [ Alexey Boriskin ]
  * IDM-2116: Возможность при запросе роли выключать уведомления
  * IDM-2116: Подкрутил настройки для разработки
  * IDM-5016: Конкурентно создаю индекс по rolenodeclosure
  * IDM-2116: Подкрутил миграцию

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 Oct 2017 18:06:08 +0300

yandex-tools-idm (112.11.1) testing; urgency=low

  [ Alexey Boriskin ]
  * Добавил в список зависимостей contextlib2, чтобы работал raven

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 23 Oct 2017 17:43:15 +0300

yandex-tools-idm (112.11) testing; urgency=low

  [ Alexey Boriskin ]
  * Фикс сборки. Попробуем собрать psycopg по-старому, а django_extesions нужно даунгрейднуть.
  * Поправил ворнинг про import_path
  * Поправил ворнинг про requires_system_checks
  * Поправил ворнинг про юникод
  * IDM-5015: Обрезаем длинные имена вручную
  * Ещё одна попытка исправить psycopg2
  * Пришлось запинить старую версию cryptography и pip, чтобы сборка заработала

  [ Vitaly Sopov ]
  * IDM-4951: теперь при переблокировке пользователей в LDAP вместо ldap_active проверяется is_active, а ldap_active начинает указывать на фактическое состояние пользователя в LDAP
  * IDM-4951: удалена команда idm_process_data_from_oebs
  * IDM-4951: check_users_ldap_status выводит только неконсистентные данные и на stdout, удалена check_users_ldap_status
  * IDM-4951: команда проверки несогласованности IDM и LDAP переименована в idm_check_users_ldap_status
  * IDM-4951: теперь у Лёши не течёт кровь из глаз из-за бэкслэшей
  * IDM-5036: теперь конкурентное создание индекса не используется в тестах
  * IDM-5036: для обновлённой версии pytest-django изменены настройки тестовой базы
  * IDM-5036: правки по ревью

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 23 Oct 2017 17:13:54 +0300

yandex-tools-idm (112.10) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5023: Слишком широкий паттерн-матчинг в описании конфликтов
  * IDM-5023: Запинил версию pip, обновил половину библиотек, чтобы пакет снова начал собираться
  * IDM-5026: Понизил уровень блокировки для select for update
  * IDM-5026: Сделал, чтобы все индексы создавались конкуретно
  * IDM-5026: Revert psycopg2 upgrade
  * Try to fix psycopg2
  * Trying to fix build: fix raven
  * Наконец пофиксил сборку
  * Выбросил множество левых ненужных зависимостей
  * IDM-5026: Избавился от djblets, которые перестали собираться в колесо

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 18 Oct 2017 00:30:22 +0300

yandex-tools-idm (112.9) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4971: Тестинг пятисотит, если пришедшего пользователя нет на Стаффе
  * IDM-5016: Перенёс код в более подходящее место (не изменяя логики)
  * IDM-5016: Переписал на N запросов (надеюсь, это будет работать не бесконечное время)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 10 Oct 2017 19:28:42 +0300

yandex-tools-idm (112.8) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5005: добавлены тесты, проверяющие, что на все персонально-пользовательские роли создана только одна неконсистентность

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 06 Oct 2017 14:43:23 +0300

yandex-tools-idm (112.7) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-4941: В отчётах не работает фильтр по узлу

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 04 Oct 2017 19:13:51 +0300

yandex-tools-idm (112.6) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5002: Логировать system.slug вместо system в idm_check_certs

  [ Alexey Boriskin ]
  * IDM-5009: Сломана сортировка по системе

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 03 Oct 2017 20:53:10 +0300

yandex-tools-idm (112.5) testing; urgency=low

  [ Alexander Lavrukov ]
  * IDM-4990: Поменять хост для СИБ
  * IDM-4997: Не отзывать сессии уволенных в тестинге

  [ Vitaly Sopov ]
  * IDM-445: добавлен скрипт для проверки сертификатов систем

  [ Vladimir Kutyavin ]
  * IDM-4941: Переход на новую фикстуру в тестах
  * IDM-4941: Поправил тесты после под новую фикстуру
  * IDM-4941: В отчётах не работает фильтр по узлу
  * IDM-4941: Миграция денормализации actions

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 29 Sep 2017 13:25:16 +0300

yandex-tools-idm (112.4) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4980: Некорректный порядок подтверждающих в карточке роли
  * IDM-4977: Поправил 500 при не дефолтной сортировке
  * IDM-4977: Переделал схему с case sensitivity на чистый lower case
  * IDM-4967: Починил удаление системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 15 Sep 2017 18:21:11 +0300

yandex-tools-idm (112.3) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4977: Переименовал errors в exceptions
  * IDM-4977: Разбил менеджеры на отдельные файлы (не выдержал)
  * IDM-4977: Удалил артефакт от мёржа
  * IDM-4977: Backoff policy for locking a role
  * IDM-4977: Избавиться от запросов, которые съедают место временными файлами

  [ Vitaly Sopov ]
  * IDM-4915: теперь клиентский сертификат проверяется на допустимость домена в CN

  [ Vladimir Kutyavin ]
  * IDM-4967: Тест удаления родительского черновика

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 14 Sep 2017 22:02:09 +0300

yandex-tools-idm (112.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4927: Два джойна по parent работают быстрее, чем один по closuretree

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 06 Sep 2017 22:58:26 +0300

yandex-tools-idm (112.1) testing; urgency=low

  [ Alexey Boriskin ]
  * Поправил перевод причины запроса роли при регулярном пересмотре
  * IDM-4964: Добавить поддержку получения hr-партнеров в workflow IDM

  [ Alexander Lavrukov ]
  * IDM-4953: Сделать команду для починки поломанных перенесенных узлов
  * IDM-4953 fix find broken nodes

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 06 Sep 2017 09:36:12 +0300

yandex-tools-idm (112.0) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4723: Поправил код при ретраях, чтобы их было меньше, если лок успешен
  * IDM-4930: IDM уходит в ридонли из-за незакрытых транзакций

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 30 Aug 2017 15:55:15 +0300

yandex-tools-idm (111.12) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4883: Добавил поле длинного таймаута, по умолчанию 10 минут

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 03 Aug 2017 17:47:44 +0300

yandex-tools-idm (111.11) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4856: Не возвращается запросивший роль

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 03 Aug 2017 12:56:45 +0300

yandex-tools-idm (111.10) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4888: Проверять, что actual_wf не None в ручке /<workflow_id>/commit
  * IDM-4794: Поправить idm_check_groups, чтобы оно учитывало onhold роли удалённых групп

  [ Alexey Boriskin ]
  * Revert "IDM-4888: Проверять, что actual_wf не None в ручке /<workflow_id>/commit"
  * IDM-4888: Начал создавать approved версию workflow при создании системы
  * IDM-4916: Логировать домены приходящих с сертификатом роботов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 02 Aug 2017 20:13:08 +0300

yandex-tools-idm (111.9) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4912: Поменять список статусов сервисов в синхронизации с ABC

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 01 Aug 2017 17:14:21 +0300

yandex-tools-idm (111.8) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4723: Добавил ретраев на лок
  * IDM-4907: Поправил падающие тесты (нужно было оставить конфиг для development)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 31 Jul 2017 18:50:46 +0300

yandex-tools-idm (111.7) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4904: Слишком долгий интервал перед повторным отзывом роли
  * IDM-4903: Нет проверки прав на чтение воркфлоу через сабсет
  * IDM-4907: Ходить в тестинге в тестовую посылалку SMS
  * RULES-4230: Новая стратегия для celery
  * RULES-4230: Не подменять root logger, пробрасывать исключения в eager режиме

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 31 Jul 2017 17:33:21 +0300

yandex-tools-idm (111.6) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4898: Отзывать узлы и роли при удалении узла через API без таски

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 25 Jul 2017 20:24:54 +0300

yandex-tools-idm (111.5) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4845: Багфикс from_api + тест на from_api==False

  [ Alexey Boriskin ]
  * IDM-746: Спрятал письма за опцию командной строки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 25 Jul 2017 10:57:34 +0300

yandex-tools-idm (111.4) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4845: Переименовал from_web в from_api и поправил баг, где смешиваются from_web и from_api

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 20 Jul 2017 23:08:29 +0300

yandex-tools-idm (111.3) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-4884: Добавить фильтр ручки узлов по полю parent

  [ Alexey Boriskin ]
  * IDM-4367: Заменил строки на константы в тестах
  * IDM-4367: Поменял порядок выполнения тасок, чтобы неконсистентность не разрешалась, пока роль не запрошена
  * IDM-4367: Код ошибочно проставтавлял комментарий про уволенность пользователя при разрешении обычной неконсистентности в SOX-системе
  * IDM-4367: Поправил несоздающийся тикет в Стартреке

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 20 Jul 2017 21:24:51 +0300

yandex-tools-idm (111.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-746: Поправил орфографию и тесты
  * IDM-4770: Переместил и переделал функцию calculate_hash
  * IDM-4770: Переформатировал index_together
  * IDM-4770: Переписал функции разрешимости
  * IDM-4770: Разрешение прежде не разрешимых неконсистентностей
  * IDM-4770: Использую один oauth-токен для всех сервисов
  * IDM-4770: Перенёс тесты про отчёты в отдельный файл
  * IDM-4770: Unused imports
  * IDM-4770: Typo
  * IDM-4770: Вынес политики в константы
  * IDM-4770: Сделал mock_ids_repo более общим
  * IDM-4770: Создаю тикет для SOX-систем вместо того, чтобы отсылать письмо

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 17 Jul 2017 15:56:36 +0300

yandex-tools-idm (111.1) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4844: Добавить логгирования при удалении и добавлении узла через API
  * IDM-4847: Объединять элементы очереди изменения дерева ролей в пачки-транзакции
  * IDM-4367: Более строгое разрешение неконсистентностей
  * IDM-4252: Плохая ошибка подтверждения роли в сломанной системе
  * IDM-1560: Написать миграцию, удаляющую лишних пользователей
  * IDM-746: Слать письма, если ночная синхронизация ролей не удалась
  * IDM-4842: Починить проставление parent_id у экшена при синхронизации дерева
  * IDM-4845: Невозможно отделить удаление узла при синхронизации от действия через API
  * IDM-4843: В экшены не проставляется impersonator_id, если узел был удалён через api
  * IDM-4851: Опечатка в описании поля

  [ Alexey Boriskin ]
  * IDM-4873: Router запрещает relation с роботом
  * IDM-4863: sazhin: заблокирован аккаунт

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 14 Jul 2017 22:12:07 +0300

yandex-tools-idm (111.0) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4852: В девелопе падают тесты
  * IDM-4852: Тесты не собираются на тимсити

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 03 Jul 2017 18:31:21 +0300

yandex-tools-idm (110.36) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-4873: Router запрещает relation с роботом

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 14 Jul 2017 16:23:39 +0300

yandex-tools-idm (110.35) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4838: Тормозит выдача сервисов в саджесте системы ABC

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 22 Jun 2017 19:00:40 +0300

yandex-tools-idm (110.34) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4821: Регистр в слаге и саджесте наносят ответный удар

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 21 Jun 2017 15:30:22 +0300

yandex-tools-idm (110.33) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4839: Не запрашивается роль в тестинге

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 21 Jun 2017 14:33:06 +0300

yandex-tools-idm (110.32) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-4821: Регистр в слаге и саджесте

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 20 Jun 2017 20:24:09 +0300

yandex-tools-idm (110.31) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4814: Денормализовал причину запроса и комментарий
  * IDM-4814: Перестал считать статистику для вложенных ApproveRequest-ов, это должно убрать квадратичность запроса
  * IDM-4814: Перестал отдавать объект workflow для запроса роли. У нас он есть, но зачем отдавать его?
  * IDM-4821: Регистр в слаге и саджесте

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 20 Jun 2017 18:48:18 +0300

yandex-tools-idm (110.30) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4812: collate нужно указывать внутри upper у правого операнда, а не левого

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 19 Jun 2017 18:52:31 +0300

yandex-tools-idm (110.29) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4812: collate нужно указывать внутри upper, а не снаружи

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 19 Jun 2017 17:08:45 +0300

yandex-tools-idm (110.28) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4812: Починил хрупкие тесты
  * IDM-4812: Стал явно указывать collation при составлении lookup-ов типа icontains/istartswith

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 19 Jun 2017 15:37:50 +0300

yandex-tools-idm (110.27) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4812: Пришлось восстановить все unique constraint-ы, чтобы их потом можно было снимать

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 17 Jun 2017 14:16:28 +0300

yandex-tools-idm (110.26) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4812: Фикс миграции

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 16 Jun 2017 21:13:21 +0300

yandex-tools-idm (110.25) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4812: Отдаём группу пользователя только для detail
  * IDM-4812: Отловил большое количество забытых select_related
  * IDM-4812: Дополнительный фильтр по системе отсеивает большое число узлов
  * IDM-4808: Сломали системы
  * IDM-4808: Просто поправил код
  * IDM-4825: Сделал поиск по slug-у регистронезависимым
  * IDM-4825: Поиск по системам работает не очень хорошо

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 16 Jun 2017 20:23:31 +0300

yandex-tools-idm (110.24) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4813: Обрабатывать изменения регистра в параметрах роли
  * IDM-4815: Ускоряю прогон тестов
  * IDM-4815: Починил падавшие на постгресе тесты
  * IDM-4810: Задублировались узлы в Статистике

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 14 Jun 2017 20:34:37 +0300

yandex-tools-idm (110.23) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4807: Падаем при поиске по системам
  * IDM-4809: Сломалась синхронизация сервисных групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 13 Jun 2017 20:33:31 +0300

yandex-tools-idm (110.22) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: workaround для починки batch-ресурса
  * Revert "IDM-4270: Обновил django-replicated"
  * IDM-4270: Маленькое, но важное изменение в поиске узлов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sun, 11 Jun 2017 18:31:46 +0300

yandex-tools-idm (110.21) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Починил django-replicated ещё раз
  * IDM-4270: Фикс имени vaccarium@ для закрытия коннектов при форке uWSGI

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Jun 2017 21:16:57 +0300

yandex-tools-idm (110.20) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Починил django-replicated

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Jun 2017 19:23:10 +0300

yandex-tools-idm (110.19) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Обновил django-replicated

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Jun 2017 18:52:08 +0300

yandex-tools-idm (110.18) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Фикс саджеста

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Jun 2017 16:59:48 +0300

yandex-tools-idm (110.17) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Поправил ошибку в случае, когда пагинатор используется со списком, а не кверисетом

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Jun 2017 14:59:47 +0300

yandex-tools-idm (110.16) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Поправил падающие тесты

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 08 Jun 2017 21:27:20 +0300

yandex-tools-idm (110.15) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Попытка упростить запросы, избегая, тем не менее, появления дублирующихся записей
  * IDM-4270: Меньше джойнов для бога джойнов
  * IDM-4270: Используем оценки count(*) вместо точных значений для ускорения запросов
  * IDM-4270: Ускорил выборки с rolenodeset и internalobjectpermission
  * IDM-4270: Переписал public_query понятнее

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 08 Jun 2017 17:46:43 +0300

yandex-tools-idm (110.14) testing; urgency=low

  [ Alexey Boriskin ]
  * Revert "IDM-4270: Фикс миграции"
  * Revert "IDM-4270: Денормализация для ускорения public-части выборок ролей"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Jun 2017 17:49:15 +0300

yandex-tools-idm (110.13) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Фикс миграции
  * IDM-4270: Закешировал робота

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Jun 2017 12:17:59 +0300

yandex-tools-idm (110.12) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Добавил индексов на горячие поля системы
  * IDM-4270: Проставил всем CharField-ам или null, или default
  * IDM-4270: Сохранил на всякий случай скрипт, дропающий все таблицы
  * IDM-4270: debug-фикстура
  * IDM-4270: Мир fields, война excludes
  * IDM-4270: Элиминировал серьёзное количество LEFT JOIN-ов
  * IDM-4270: Перезагрузил вьюхи
  * IDM-4270: Денормализация для ускорения public-части выборок ролей
  * IDM-4790: Починка сломанных хотфиксом функций и тестов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Jun 2017 11:50:22 +0300

yandex-tools-idm (110.11) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4781: Решили показывать рубиновую корону в интерфейсе

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 02 Jun 2017 18:24:12 +0300

yandex-tools-idm (110.10) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4790: Отправляем нотификации на лишние рассылки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 02 Jun 2017 16:50:38 +0300

yandex-tools-idm (110.9) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Поправил миграцию. Зря доверился выводу sqldiff

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Jun 2017 23:34:05 +0300

yandex-tools-idm (110.8) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Чиню проблему с сертификатом

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Jun 2017 21:55:04 +0300

yandex-tools-idm (110.7) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4781: Поддержать рубиновую корону
  * IDM-4270: Ускорение выборок по approverequest-ам
  * IDM-4270: Поправил тип durationfield-а в модели системы
  * IDM-4270: Если список approverequest-ов запрашивает с подтверждающим, можно отбросить сложную проверку прав
  * IDM-4270: Добавил параметры SSL в конфигурацию баз (интересно, как работало без этого)
  * IDM-4270: Повторяю попытки достучаться до базы 10 раз

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Jun 2017 21:41:52 +0300

yandex-tools-idm (110.6) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Промахнулся с полем. Поправил миграцию

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 31 May 2017 22:26:56 +0300

yandex-tools-idm (110.5) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Ускорение

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 31 May 2017 21:25:52 +0300

yandex-tools-idm (110.4) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4739: Оптимизация отзыва ролей
  * IDM-4270: Переписал проверяющий права запрос на несколько OR-подзапросов
  * IDM-4270: Сделал свой auth backend, чтобы делать меньше запросов в базу
  * IDM-4270: requester может быть None
  * IDM-4428: Запросивший должен видеть роли, которые он запросил
  * IDM-4270: Поправил падавшие тесты на количество запросов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 31 May 2017 13:06:45 +0300

yandex-tools-idm (110.3) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Поправил настройки для dev-а
  * IDM-4270: Включил кеширование сессий

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 27 May 2017 13:54:26 +0300

yandex-tools-idm (110.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Поправил падающие тесты
  * IDM-4270: Поправил настройки на dev

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 26 May 2017 15:10:36 +0300

yandex-tools-idm (110.1) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Поправил ошибку в closuretree

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 May 2017 19:33:02 +0300

yandex-tools-idm (110.0) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4722: Из доктеста не пробрасывается узел
  * IDM-4771: Завести рассылку idm-notification-test@yandex-team.ru и слать письма из тестинга туда

  [ Alexey Boriskin ]
  * IDM-4270: Поправил отсутствующий import
  * IDM-4270: Поправил closuretree
  * IDM-4270: Поправил database backend под Postgre
  * IDM-4270: Если срабатывает ON CONFLICT, то RETURNING не возвращает результатов. Не стоит ожидать их, если их нет
  * IDM-4270: Настройки БД
  * IDM-4270: Поправил conftest
  * IDM-4270: Поправил тесты, зависящие от случайности при выборках из базы
  * IDM-4270: Поправил тесты, зависящие от времени
  * IDM-4270: Поправил запросы, не работавшие из-за строгой проверки типов PG
  * IDM-4270: Поправил поиск и разрешение неконсистентностей
  * IDM-4270: Удалил oneoff-команду, чтобы не переписывать SQL
  * IDM-4270: Переписал старый саджест на ORM
  * IDM-4270: Переписал SQL VIEW под PG
  * IDM-4270: Переписал SQL в команде idm_restore_updated
  * IDM-4270: Поправил сортировку неконсистентностей
  * IDM-4270: Поправил проблемы с порядком NULL
  * IDM-4270: Убрал все упоминания MySQL, а также MySQL-специфичные костыли
  * IDM-4270: Переименовал везде в тестах @mysqlonly на @thickdb
  * RULES-4270: Поправил проблемы с сортировкой
  * IDM-4270: Явная сортировка подтверждающих по умолчанию
  * IDM-4270: Добавил в fabfile команду для запуска Docker
  * IDM-4270: Заменил параметры коннекта к БД

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 May 2017 18:08:39 +0300

yandex-tools-idm (109.12) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Настройки коннекта к pgaas

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sun, 11 Jun 2017 12:49:11 +0300

yandex-tools-idm (109.11) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-4790: Починка сломанных хотфиксом функций и тестов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Jun 2017 19:50:44 +0300

yandex-tools-idm (109.10) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-4781: Поддержать рубиновую корону
  * IDM-4781: Решили показывать рубиновую корону в интерфейсе
  * IDM-4790: Отправляем нотификации на лишние рассылки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 02 Jun 2017 18:30:38 +0300

yandex-tools-idm (109.9) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Поправил отсутствующий import

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 May 2017 16:57:33 +0300

yandex-tools-idm (109.8) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4270: Миграционный скрипт и зависимость
  * IDM-4270: SQL-скрипт для анализа сломанных внешних ключей
  * IDM-4270: Удалил неиспользуемые настройки
  * IDM-4270: Настройки
  * IDM-4270: Удалил дичь
  * IDM-4270: Вернул определение direct-токена для тестинга
  * IDM-4270: Обновил локальные настройки
  * IDM-4270: Перенёс django-extensions в основной список и добавил в INSTALLED_APPS
  * IDM-4270: Удалил или переименовал в .example все .local-файлы
  * IDM-4270: Добавил libpq-dev в сборку
  * IDM-4270: Пробросил config в settings_pg

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 May 2017 16:03:26 +0300

yandex-tools-idm (109.7) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4721: Пофиксил импорт

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 19 May 2017 19:36:38 +0300

yandex-tools-idm (109.6) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4766: Починить пуши узлов в саджест
  * IDM-4721: Ворнинг в форме и письмо на рассыку если связанная роль не может быть выдана
  * IDM-4769: Неправильное сообщение при каскадном холде

  [ Alexey Boriskin ]
  * IDM-4720: Сузил область транзакции, чтобы она была внутри лока
  * IDM-4756: Поправил отзыв роли через testapi

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 19 May 2017 18:40:26 +0300

yandex-tools-idm (109.5) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4744: Баги дедупликатора
  * IDM-4756: Разрешил передавать _requester в querystring для запросов без body
  * IDM-4756: Разрешил отзывать недопротухшие роли через параметр now_is/--now-is команды idm_deprive_roles
  * IDM-4720: Race condition с паспортными логинами

  [ Ilya Peterov ]
  * IDM-4260: Небольшие правки
  * IDM-4260: Отложенный отзыв ролей при удалении группы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 18 May 2017 18:56:34 +0300

yandex-tools-idm (109.4) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-3555: Ошибка в переименовании ноды

  [ Ilya Peterov ]
  * IDM-4747: Правильный порядок composite индекса для role
  * IDM-4747: Подчистил SQL

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Wed, 17 May 2017 19:39:36 +0300

yandex-tools-idm (109.3) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4428: Выдать права запросившему на отзыв роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 16 May 2017 19:36:07 +0300

yandex-tools-idm (109.2.1) testing; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 16 May 2017 18:55:06 +0300

yandex-tools-idm (109.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-4744: Удалить дубликаты узлов в Qloud
  * RULES-4718: Перешёл везде на один сертификат, новый
  * IDM-4667: Поменял порядок операций в миграции, чтобы она проходила

  [ Ilya Peterov ]
  * IDM-4741: Сделать флаг "Использовать мини-форму" для системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 16 May 2017 16:47:19 +0300

yandex-tools-idm (109.1) testing; urgency=low

  [ Ilya Peterov ]
  * IDM-4732: Не работает саджест по людям
  * IDM-4739: Не откладывать роли бывших
  * IDM-4753: Падает тест про саджест
  * IDM-4747: Ускорить синхронизацию департаментных групп
  * RULES-4724: Брать названия статусов сервиса как есть

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 12 May 2017 21:26:57 +0300

yandex-tools-idm (109.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4513: Дописал тест на синхронизацию одновременно дерева и ролей, который я забыл написать при реализации фичи
  * RULES-4731: Связанные роли не отзываются при синхронизации
  * RULES-1989: Реализация мягкого конфликта ролей
  * IDM-4429: не могу изменить visibility для узла
  * RULES-1989: Поменял match на search
  * IDM-4450: Конфликтуют только роли одной системы, исправлен порядок аргументов для проверки без вайлдкардов
  * IDM-4458: Убрал поиск по ролям за отдельную фичу

  [ Ilya Peterov ]
  * RULES-4723: Использовать в поиске по ролям intrasearch

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 28 Apr 2017 18:00:19 +0300

yandex-tools-idm (108.43) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-4450: Конфликтуют только роли одной системы, исправлен порядок аргументов для проверки без вайлдкардов
  * IDM-4458: Убрал поиск по ролям за отдельную фичу

  [ Ilya Peterov ]
  * RULES-4723: Использовать в поиске по ролям intrasearch

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 28 Apr 2017 18:25:27 +0300

yandex-tools-idm (108.42) testing; urgency=low

  [ Alexey Boriskin ]
  * Revert "RULES-4723: Использовать в поиске по ролям intrasearch"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 20 Apr 2017 13:39:56 +0300

yandex-tools-idm (108.41) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4723: Использовать в поиске по ролям intrasearch
  * RULES-4723: Использовать в поиске по ролям intrasearch

  [ Alexey Boriskin ]
  * RULES-4731: Связанные роли не отзываются при синхронизации
  * RULES-1989: Реализация мягкого конфликта ролей
  * IDM-4429: не могу изменить visibility для узла
  * RULES-1989: Поменял match на search

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 19 Apr 2017 17:59:04 +0300

yandex-tools-idm (108.40) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4714: Ошибка в списке полей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 14 Apr 2017 19:39:33 +0300

yandex-tools-idm (108.39) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4720: Ручка узлов стала медленной

  [ Alexey Boriskin ]
  * RULES-4672: Сломался idm
  * RULES-4715: Нельзя перезапросить проимпортированную роль

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 14 Apr 2017 17:28:30 +0300

yandex-tools-idm (108.38) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4714: Сломана синхронизация сервисов
  * Ускорение поиска ролей по алиасам с помощью поиска только по началу строки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 13 Apr 2017 20:02:49 +0300

yandex-tools-idm (108.37) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4708: Миграция

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 11 Apr 2017 21:28:01 +0300

yandex-tools-idm (108.36) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4698: Если изменений нет, но ошибки быть не должно

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 10 Apr 2017 14:36:36 +0300

yandex-tools-idm (108.35) testing; urgency=low

  [ Alexey Boriskin ]
  * Немного ускорил синхронизацию групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 07 Apr 2017 20:53:15 +0300

yandex-tools-idm (108.34) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4513: Синхронизация ролей по кнопке должна быть в выделенной очереди
  * RULES-4513: Улучшения в everysync
  * RULES-4513: Добавил лок в idm_auto_update_roles

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 07 Apr 2017 17:24:11 +0300

yandex-tools-idm (108.33) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4676: Фикс для вики-групп имени Феликса

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 07 Apr 2017 11:48:32 +0300

yandex-tools-idm (108.32) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4662: Добавил ускоряющий саджест индекс

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 06 Apr 2017 19:53:24 +0300

yandex-tools-idm (108.31) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4676: Поправил KeyError в сервисных и вики-группах

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 06 Apr 2017 18:41:30 +0300

yandex-tools-idm (108.30) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4676: Поправил KeyError

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 06 Apr 2017 18:14:34 +0300

yandex-tools-idm (108.29) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4707: Фильтр по ролям без parent в api тормозит

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 06 Apr 2017 16:46:40 +0300

yandex-tools-idm (108.28) testing; urgency=low

  [ Alexey Boriskin ]
  * Пофиксил зависание тестов (виновато сочетание freezefun и min_lock_time)
  * RULES-3408: Ограничить редактирование систем через api

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 06 Apr 2017 15:08:39 +0300

yandex-tools-idm (108.27) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4691: Улучшить логгирование в пушах
  * RULES-4698: Шлём пуш про удаление узла при изменении его slug-а
  * RULES-4698: Защищаюсь от отката транзакций с помощью стандартной схемы с передачей id экшена в таску

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 05 Apr 2017 20:33:47 +0300

yandex-tools-idm (108.26) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4676: Считаем, что уволенные пользователи не могут быть членами групп или ответственными за группы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 05 Apr 2017 19:51:07 +0300

yandex-tools-idm (108.25) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4641: Исправление ошибки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 05 Apr 2017 17:46:29 +0300

yandex-tools-idm (108.24) testing; urgency=low

  [ Ilya Peterov ]
  * Убрана настройка AD_LDAP_USERS_CN

  [ Alexey Boriskin ]
  * RULES-4692: Отправлять пуши про перемещённые узлы
  * RULES-4676: Не отзывается персональная роль, выданная на основе групповой, уволенному пользователю
  * RULES-4698: Разрешить менять slug узла дерева ролей через API
  * RULES-4676: Не отзывается персональная роль, выданная на основе групповой, уволенному пользователю
  * RULES-4230: Поднял лимиты очередям default, sync_small
  * RULES-4513: Автообновление узлов дропает таск, если лок не взялся, остальные случаи ждут лок
  * RULES-4513: Небольшой рефакторинг
  * RULES-4513: Каждый час обновляем статистику по ролям и узлам для систем, отправляем в очередь для тяжёлых запросов только те синхронизации, которые включают в себя синхронизацию узлов
  * RULES-4513: Перестал ставить таски слишком часто
  * RULES-4513: Миграции

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 04 Apr 2017 12:51:23 +0300

yandex-tools-idm (108.22.2) testing; urgency=low

  * Ещё пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 28 Mar 2017 17:56:02 +0300

yandex-tools-idm (108.22.1) testing; urgency=low

  * Пересборка с dev-python

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 28 Mar 2017 17:16:48 +0300

yandex-tools-idm (108.22) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4687: Добавил воркер и лимит для очереди ретраев

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 27 Mar 2017 17:03:38 +0300

yandex-tools-idm (108.21) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4687: Изолировать очереди операций с ролями для массивных систем
  * RULES-4513: Поправил лог

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 27 Mar 2017 16:55:57 +0300

yandex-tools-idm (108.20) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4513: Удалил старые задачи синхронизации
  * RULES-4513: Объединил задачи синхронизации узлов и ролей
  * RULES-4667: Посмотреть что изменилось для списка ролей
  * RULES-4513: Поправил лимит, т.к. на тестинге очередь зависала
  * RULES-4513: Начал записывать время последней успешной сверки
  * RULES-4513: Уменьшил лимит, чтобы большие системы точно пролезли
  * RULES-4513: Разбил ручные синхронизации на две очереди в зависимости от размера системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 24 Mar 2017 15:06:48 +0300

yandex-tools-idm (108.19) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4684: Для систем со слешами в slug-ах саджест работает неправильно

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 23 Mar 2017 16:31:05 +0300

yandex-tools-idm (108.18) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4230: Добавил копирование файлов с ограничениями памяти

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 21 Mar 2017 16:22:24 +0300

yandex-tools-idm (108.17) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4662: Перестал отдавать aliases в саджесте узлов
  * RULES-4230: Проставил всем воркерсетам maxtaskperchild
  * RULES-4230: Кастомизировал потребление памяти по воркерсетам
  * RULES-4230: Мониторинг очередей
  * RULES-4230: Поправил регулярку
  * RULES-4230: Удалил celerybeat
  * RULES-4230: init.d -> service

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 21 Mar 2017 16:04:22 +0300

yandex-tools-idm (108.16) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4230: Обновление celery до максимальной 3.x версии

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 20 Mar 2017 18:06:23 +0300

yandex-tools-idm (108.15) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4664: system__contains смотрит только в slug и name/name_en
  * RULES-4662: Пофикшены MySQL тесты
  * RULES-4664: Добавлено поле is_favorite в список систем

  [ Alexey Boriskin ]
  * RULES-4661: Ускорение за счёт удаления обращения к department на каждом запросе
  * RULES-4661: Ошибка мёржа

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 20 Mar 2017 13:20:52 +0300

yandex-tools-idm (108.14) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4661: Отселил отчёты в отдельную очередь, оптимизировал выгрузку

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 17 Mar 2017 18:41:20 +0300

yandex-tools-idm (108.13) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4664: Саджест по сервисам
  * RULES-4664: Поле state в системе
  * RULES-4664: Фильтр по подстроке в системах
  * RULES-4664: Сортировка по сервису и системе
  * RULES-4664: Мелкие доработки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 17 Mar 2017 16:19:31 +0300

yandex-tools-idm (108.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4661: Увеличил максимальное количество строк в отчёте до 500000
  * RULES-4660: idm_add_users_to_ad_groups отдает 500
  * RULES-4662: Ускорить саджест (ещё)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 17 Mar 2017 13:25:41 +0300

yandex-tools-idm (108.11) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4636: Убрать удаление запрошенных ролей для уволенных юзеров из idm_deprive_roles

  [ Alexey Boriskin ]
  * RULES-4123: Поправил ошибку логгирования

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 15 Mar 2017 18:57:27 +0300

yandex-tools-idm (108.10) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4636: Убрать удаление запрошенных ролей для уволенных юзеров из idm_deprive_roles

  [ Alexey Boriskin ]
  * RULES-4123: Поправил ошибку логгирования

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 15 Mar 2017 18:55:47 +0300

yandex-tools-idm (108.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4613: Перевёл из error/exception в warning те места, где исключение гасится, но не является ошибкой
  * RULES-4613: Перевёл из error/exception в warning те случаи .exception, когда исключение перевыбрасывается
  * RULES-4613: Поменял везде с inflect('en') на get_ident()
  * RULES-4613: Убрал более ненужный raise
  * RULES-4613: Перевёл некоторые команды на SmartCommand и добавил в неё логгирование при ошибках
  * RULES-4123: Добавить retry при сетевых ошибках

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Mar 2017 14:57:54 +0300

yandex-tools-idm (108.8.1) testing; urgency=low

  * Пересборка №3

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Mar 2017 09:58:35 +0300

yandex-tools-idm (108.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4654: Падает синхронизация групп из-за depriving ролей, которые нельзя перевести в onhold
  * RULES-4655: Не пересматривать роли, выданные после перемещения

  [ Ilya Peterov ]
  * RULES-4651: заменён log на self.log в тасках, добавлен продовый INTRASEARCH_PUSH_URL в конфиг
  * RULES-4628: Отпилить синхронизацию с LDAP

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 13 Mar 2017 19:58:35 +0300

yandex-tools-idm (108.7.2) testing; urgency=low

  * Пересборка №2

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 13 Mar 2017 18:19:01 +0300

yandex-tools-idm (108.7.1) testing; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 13 Mar 2017 17:44:34 +0300

yandex-tools-idm (108.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4230: Исправил проблему с незарегистрированной задачей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 13 Mar 2017 16:33:33 +0300

yandex-tools-idm (108.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4230: Откатываем отладочный код

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 13 Mar 2017 14:44:06 +0300

yandex-tools-idm (108.5) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4651: Не работают пуши в проксированный саджест (?)

  [ Alexey Boriskin ]
  * RULES-4643: Исправление ошибки с перезапросом роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 10 Mar 2017 20:02:03 +0300

yandex-tools-idm (108.4) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4589: Синхронизировать дерево сервисов
  * RULES-4467: Новая ручка списка систем

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 09 Mar 2017 19:34:13 +0300

yandex-tools-idm (108.3) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4647-2: Увеличить таймаут саджеста

  [ Alexey Boriskin ]
  * RULES-4643: Перезапрос роли не отзывает связанные роли
  * RULES-4643: Убрал валенок с пульта

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 09 Mar 2017 18:32:56 +0300

yandex-tools-idm (108.2) testing; urgency=low

  * RULES-4646: Пятисотки в новом саджесте
  * RULES-4647: Увеличить таймаут саджеста

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Thu, 09 Mar 2017 17:03:20 +0300

yandex-tools-idm (108.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4952: Опечатка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 09 Mar 2017 10:48:50 +0300

yandex-tools-idm (108.0) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4589: Синхронизировать дерево сервисов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 07 Mar 2017 19:50:21 +0300

yandex-tools-idm (107.23) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4662: Перестал отдавать aliases в саджесте узлов

  [ Ilya Peterov ]
  * RULES-4684: Для систем со слешами в slug-ах саджест работает неправильно

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Thu, 23 Mar 2017 17:33:32 +0300

yandex-tools-idm (107.22) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4661: Увеличил максимальное количество строк в отчёте до 500000

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 16 Mar 2017 17:15:55 +0300

yandex-tools-idm (107.21) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4655: Не пересматривать роли, выданные после перемещения
  * RULES-4654: Падает синхронизация групп из-за depriving ролей, которые нельзя перевести в onhold

  [ Ilya Peterov ]
  * RULES-4651: заменён log на self.log в тасках, добавлен продовый INTRASEARCH_PUSH_URL в конфиг

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Mar 2017 16:42:18 +0300

yandex-tools-idm (107.20) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4643: Исправление ошибки с перезапросом роли

  [ Ilya Peterov ]
  * RULES-4646: Пятисотки в новом саджесте
  * RULES-4651: Не работают пуши в проксированный саджест (?)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 10 Mar 2017 20:13:38 +0300

yandex-tools-idm (107.19) stable; urgency=low

  [ Ilya Peterov ]
  * RULES-4647: Увеличить таймаут саджеста
  * RULES-4647-2: Увеличить таймаут саджеста

  [ Alexey Boriskin ]
  * RULES-4643: Перезапрос роли не отзывает связанные роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 09 Mar 2017 18:40:23 +0300

yandex-tools-idm (107.18) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4550: Попытки запустить задачу синхронно приводили к крешу транзакции

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 06 Mar 2017 19:49:46 +0300

yandex-tools-idm (107.17) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4550: Правки по отзыву и запросу роли после синхронизации групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 06 Mar 2017 15:22:06 +0300

yandex-tools-idm (107.16) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4637: Мигрировать менеджеров ролей ABC
  * RULES-4550: Больше логов
  * RULES-4550: Ускорил отзыв лишних ролей
  * RULES-4550: Исправил баг, связанный с тем, что при перемещении в группу с неразрешённым перемещением для него создавалось user_group перемещение
  * RULES-4550: Разрешаем дочерние перемещения, по которым не было принято решение, так же, как и групповое

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 03 Mar 2017 02:11:05 +0300

yandex-tools-idm (107.15) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4550: Ошибка в названии действий
  * RULES-4550: Обвешал потенциально медленные операции логами

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 02 Mar 2017 13:25:08 +0300

yandex-tools-idm (107.14) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4634: Решил установить минимальный таймаут лока в 10 секунд глобально
  * RULES-4634: Сделать команду idm_sync_groups частично синхронной
  * RULES-4635: Перевыдавать granted роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 28 Feb 2017 17:17:04 +0300

yandex-tools-idm (107.13) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4634: Решил установить минимальный таймаут лока в 10 секунд глобально
  * RULES-4634: Сделать команду idm_sync_groups частично синхронной
  * RULES-4635: Перевыдавать granted роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 28 Feb 2017 16:57:41 +0300

yandex-tools-idm (107.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4550: Правки ошибки в админке

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 27 Feb 2017 22:01:15 +0300

yandex-tools-idm (107.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4550: Дочерние перемещения должны создаваться только один раз

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 27 Feb 2017 18:42:48 +0300

yandex-tools-idm (107.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4388: Закрасить старые ручки для фаерволла
  * RULES-4621: Закрасить неиспользуемые ручки testapi

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 22 Feb 2017 15:48:59 +0300

yandex-tools-idm (107.9) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4620: Логгировать id узлов про синхронизации
  * RULES-4162-2: В отчёт к персональным ролям добавить подтверждающего

  [ Alexey Boriskin ]
  * RULES-4550: Улучшения по ручному пересмотру
  * RULES-4550: Перемещения добавлены как ресурс в API

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 21 Feb 2017 19:06:38 +0300

yandex-tools-idm (107.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4550: Улучшения в обработке перемещений

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 20 Feb 2017 21:17:55 +0300

yandex-tools-idm (107.7) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4162: В отчёт к персональным ролям добавить подтверждающего
  * RULES-4614: Добавить фильтры по id в suggest для users, groups и subjects
  * RULES-4587: Доработать пуши/админку так, чтобы они учитывали узлы, создаваемые через админку

  [ Alexey Boriskin ]
  * RULES-4611: Синхронизация групп падает, если в очереди add является потомком move
  * Починка тестов через деактивацию перевода при выходе из теста с фикстурой client

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 20 Feb 2017 18:09:15 +0300

yandex-tools-idm (107.6) testing; urgency=low

  * RULES-4604: Добавить ворнинг про роль у родительской группы

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Thu, 16 Feb 2017 13:04:27 +0300

yandex-tools-idm (107.5) testing; urgency=low

  * RULES-4591: В саджесте есть узлы с visibility:false

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Tue, 14 Feb 2017 18:24:22 +0300

yandex-tools-idm (107.4) testing; urgency=low

  * RULES-4595: Обновление сбивает выбранную ноду

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Mon, 13 Feb 2017 18:37:22 +0300

yandex-tools-idm (107.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4550: Ручной запуск механизма пересмотра при структурных изменениях

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 04 Feb 2017 12:51:05 +0300

yandex-tools-idm (107.1.1) testing; urgency=low

  * Пересборка

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Fri, 03 Feb 2017 18:44:37 +0300

yandex-tools-idm (107.1) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4353: Фикс ошибки в intrasearch_push

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 03 Feb 2017 17:00:48 +0300

yandex-tools-idm (107.0.1) testing; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 03 Feb 2017 16:44:10 +0300

yandex-tools-idm (107.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4584: Баг в локах
  * RULES-4584: Переименовал diration->duration
  * RULES-4584: Поправил декоратор graphite_duration
  * RULES-4584: Поправил лок в idm_check_and_resolve
  * Revert "RULES-4353: Делать пуш в ручку поиска при изменении/добавлении/удалении узла"

  [ Ilya Peterov ]
  * RULES-4353: Делать пуш в ручку поиска при изменении/добавлении/удалении узла
  * RULES-4353: Делать пуш в ручку поиска при изменении/добавлении/удалении узла

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Fri, 03 Feb 2017 16:04:54 +0300

yandex-tools-idm (106.27) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4611: Синхронизация групп падает, если в очереди add является потомком move

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 17 Feb 2017 12:47:02 +0300

yandex-tools-idm (106.26) testing; urgency=low

  [ Alexey Boriskin ]
  * Revert "RULES-4353: Делать пуш в ручку поиска при изменении/добавлении/удалении узла"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 02 Feb 2017 18:00:56 +0300

yandex-tools-idm (106.25) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4584: Баг в локах
  * RULES-4584: Переименовал diration->duration
  * RULES-4584: Поправил декоратор graphite_duration
  * RULES-4584: Поправил лок в idm_check_and_resolve

  [ Ilya Peterov ]
  * RULES-4353: Делать пуш в ручку поиска при изменении/добавлении/удалении узла

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 02 Feb 2017 16:06:52 +0300

yandex-tools-idm (106.24) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4354: Возвращение ids==1.3.7 в requirements

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 31 Jan 2017 16:24:56 +0300

yandex-tools-idm (106.23) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4354: Переключение саджеста по флагу

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 31 Jan 2017 16:02:35 +0300

yandex-tools-idm (106.22) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4573: Убрал старый TODO
  * RULES-4573: IDMу плохо от удаления сервиса

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 31 Jan 2017 15:47:58 +0300

yandex-tools-idm (106.21) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4562: Команда idm_check_and_resolve берёт глобальный лок вместо посистемного
  * RULES-4562: Ускоряем get_owners индексами

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 30 Jan 2017 23:36:11 +0300

yandex-tools-idm (106.20) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4560: Не коммитится workflow

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 30 Jan 2017 13:40:33 +0300

yandex-tools-idm (106.19) testing; urgency=low

  [ Alexey Boriskin ]
  * Revert "RULES-4354: Фикс саджеста узлов (выдирается слаг из id), фикс фильтров (если их нет, то параметр query больше не передаётся)"
  * Revert "RULES-4354: Сделать проксированный саджест"
  * RULES-4354: Фикс спорадических тест фейлов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 30 Jan 2017 13:02:38 +0300

yandex-tools-idm (106.18) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4354: Фикс саджеста узлов (выдирается слаг из id), фикс фильтров (если их нет, то параметр query больше не передаётся)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 27 Jan 2017 18:32:05 +0300

yandex-tools-idm (106.17) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4354: Сделать проксированный саджест

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 27 Jan 2017 16:50:48 +0300

yandex-tools-idm (106.16) testing; urgency=low

  [ Ilya Peterov ]
  * Убран id из запроса к системе в тесте
  * RULES-4554: Добавить поле parent_path в ручку узлов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 26 Jan 2017 19:17:47 +0300

yandex-tools-idm (106.15) testing; urgency=low

  [ Alexey Boriskin ]
  * Revert "RULES-4354: Сделать проксированный саджест"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Jan 2017 20:22:39 +0300

yandex-tools-idm (106.14) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4507: При массовом отзыве принимаем параметры как из query, так и из body и требуем хотя бы одного фильтрационного параметра

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Jan 2017 18:40:16 +0300

yandex-tools-idm (106.13) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4354: Сделать проксированный саджест

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Jan 2017 17:10:41 +0300

yandex-tools-idm (106.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3254: Фикс миграции: удаление по уровням

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Jan 2017 13:41:50 +0300

yandex-tools-idm (106.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3254: atomic=False и удаление по уровням
  * RULES-3254: Перенос детей неактивных групп так, что их родителями становится база

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 Jan 2017 19:17:46 +0300

yandex-tools-idm (106.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3254: Фикс миграции

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 Jan 2017 15:58:24 +0300

yandex-tools-idm (106.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4349: Откатываю передачу id роли в плагин
  * RULES-4507: Ручка для кнопки «Отозвать все личные роли»
  * RULES-4367: Фильтр по ролям без parent в api
  * RULES-4349: Отзыв роли по комбинации owner+path+fields_data
  * RULES-3254: Удалил ненужную строку
  * RULES-3254: Перезапрашиваем роли пользователей, находящихся внутри перемещаемых групп
  * RULES-3254: Ускорение миграции за счёт сырых delete-запросов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 Jan 2017 15:03:44 +0300

yandex-tools-idm (106.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3254: Добавил зависимость, чтобы миграция работала
  * RULES-3254: Поправил IntegrityError в миграции
  * RULES-3254: Сделал миграцию рестартуемой и транзакционной
  * RULES-3254: Запускаем синхронизацию групп в таске

  [ Ilya Peterov ]
  * RULES-4443: Отдавать систему в ручке rolenodes

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 23 Jan 2017 15:01:10 +0300

yandex-tools-idm (106.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3254: Поправил генерацию диффа для сравнения деревьев

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 20 Jan 2017 19:21:49 +0300

yandex-tools-idm (106.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3254: Фикс миграции
  * RULES-3254: Поправил ошибку при попытке посмотреть изменения дерева ролей
  * RULES-3254: Поправил падающий на тимсити тест

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 20 Jan 2017 15:53:14 +0300

yandex-tools-idm (106.5) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3254: Экстрагировал дочерние элементы очереди из родительских элементов добавления и удаления
  * RULES-3254: Перемещать группы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 20 Jan 2017 09:55:18 +0300

yandex-tools-idm (106.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4537: Пробрасывать на страницу системы настраиваемый таймаут

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 19 Jan 2017 13:07:55 +0300

yandex-tools-idm (106.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4522: Поправил формулировку ворнинга

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 16 Jan 2017 18:36:40 +0300

yandex-tools-idm (106.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4522: Учитывать поля при проверке на владение ролью

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 16 Jan 2017 17:56:48 +0300

yandex-tools-idm (106.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4522: Проблема с ворнинг-сообщением при запросе роли на группу
  * RULES-4439: Некоторые переменные не долетают до блока тестирования workflow
  * RULES-3182: Удалить класс RoleAsNode

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sun, 15 Jan 2017 01:34:43 +0300

yandex-tools-idm (106.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4502: Робот ошибочно подтверждает роли, отправленные на регулярный пересмотр
  * RULES-3084: Автоподтверждение approverequest

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 11 Jan 2017 15:13:47 +0300

yandex-tools-idm (105.12) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4439: Некоторые переменные не долетают до блока тестирования workflow
  * RULES-4522: Проблема с ворнинг-сообщением при запросе роли на группу
  * RULES-4522: Учитывать поля при проверке на владение ролью
  * RULES-4522: Поправил формулировку ворнинга

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 16 Jan 2017 18:44:21 +0300

yandex-tools-idm (105.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4502: Робот ошибочно подтверждает роли, отправленные на регулярный пересмотр

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 11 Jan 2017 12:05:44 +0300

yandex-tools-idm (105.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4484: Род глагола берется не оттуда

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 27 Dec 2016 10:07:41 +0300

yandex-tools-idm (105.9) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4464: Ломается idm в продакшене

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 26 Dec 2016 17:58:19 +0300

yandex-tools-idm (105.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4473: Поправить формат requester, impersonator в ручке действий

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 26 Dec 2016 17:54:14 +0300

yandex-tools-idm (105.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4338: Убрал свойство successful
  * RULES-4338: Убрал свойство api_url
  * RULES-4338: Новый объект requester и разделение поля user на user и requester
  * RULES-4338: Правки API в связи со всеобщей реквестиризацией
  * RULES-4338: Правки тестов в связи с реквестеризацией
  * RULES-4338: Денормализация действий

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 26 Dec 2016 16:03:42 +0300

yandex-tools-idm (105.6) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4442: В проверке на уникальность слага учитывать систему
  * RULES-4365: Придумать как локализовать информационное сообщение в форме

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 23 Dec 2016 18:23:40 +0300

yandex-tools-idm (105.5.1) testing; urgency=low

  * Пересборка

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Fri, 23 Dec 2016 15:08:28 +0300

yandex-tools-idm (105.5) testing; urgency=low

  * RULES-4459: Добавить метод has_role в группы

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Fri, 23 Dec 2016 14:43:39 +0300

yandex-tools-idm (105.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4455: Перевыдать без подтверждения роли
  * RULES-4095: Предупреждать при запросе личной роли, что уже есть такая

  [ Ilya Peterov ]
  * RULES-4365-2: Придумать как локализовать информационное сообщение в форме

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 22 Dec 2016 01:56:53 +0300

yandex-tools-idm (105.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4447: Редактировать notify queue через админку

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 20 Dec 2016 17:47:44 +0300

yandex-tools-idm (105.2) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4365: Придумать как локализовать информационное сообщение в форме

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 20 Dec 2016 17:08:45 +0300

yandex-tools-idm (105.1) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4415: Добавить индекс для ускорения выдачи всех узлов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 19 Dec 2016 12:06:10 +0300

yandex-tools-idm (105.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4429: Допинывалка учитывает неактивность систем не на всех стадиях

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 15 Dec 2016 21:30:03 +0300

yandex-tools-idm (104.12.1) stable; urgency=low

  * Пересборка в правильную ветку

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 21 Dec 2016 17:48:11 +0300

yandex-tools-idm (104.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4455: Перевыдать без подтверждения роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 21 Dec 2016 17:44:36 +0300

yandex-tools-idm (104.11) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4447: Редактировать notify queue через админку

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 20 Dec 2016 18:08:18 +0300

yandex-tools-idm (104.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4428: Undefined группы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 14 Dec 2016 16:27:08 +0300

yandex-tools-idm (104.9.2) testing; urgency=low

  * Пересборка ещё раз

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Fri, 09 Dec 2016 19:19:12 +0300

yandex-tools-idm (104.9.1) testing; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Dec 2016 18:48:54 +0300

yandex-tools-idm (104.9) testing; urgency=low

  * RULES-4410: Задавать кастомный таймаут для системы

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Fri, 09 Dec 2016 18:28:19 +0300

yandex-tools-idm (104.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4403: Добавить переход из rerequested в rerequested
  * RULES-3967: Неправильно отображается дата (бекенд)
  * RULES-4406: Потеряли поле approved в /approverequests

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Dec 2016 13:11:01 +0300

yandex-tools-idm (104.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3867: Отдавать подробные описания объектов ApproveRequest

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 08 Dec 2016 16:12:39 +0300

yandex-tools-idm (104.6.3) testing; urgency=low

  * Вторая пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 08 Dec 2016 14:33:01 +0300

yandex-tools-idm (104.6.2) testing; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Dec 2016 19:44:56 +0300

yandex-tools-idm (104.6.1) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4350: Добавить фильтр по дате изменения в ручки пользователей, групп, узлов
  * RULES-3041: Выводить должность в таблицу очереди запросов
  * RULES-4376: В отчёт по ролям добавить тип группы, если роль выдана на группу

  [ Alexey Boriskin ]
  * RULES-4230: Не ставлю ненужных задач
  * RULES-4230: Запретил префетчинг тасок
  * RULES-4230: Хардкор-отладка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Dec 2016 19:25:02 +0300

yandex-tools-idm (104.5.1) testing; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 06 Dec 2016 20:01:15 +0300

yandex-tools-idm (104.5) testing; urgency=low

  * RULES-4337: Проверять сертификат только при наличии _requester

 -- Ilya Peterov <ipeterov@yandex-team.ru>  Tue, 06 Dec 2016 17:13:26 +0300

yandex-tools-idm (104.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4297: Отпилить синхронизацию кастомных групп из ABC
  * RULES-4381: Закрасить неиспользуемые ручки testapi

  [ Ilya Peterov ]
  * RULES-4337: Проверять сертификат только при наличии _requester

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 06 Dec 2016 13:07:53 +0300

yandex-tools-idm (104.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4378: Оптимизировать выгрузку для firewall

  [ Ilya Peterov ]
  * RULES-4213: Присылать на фронт дату в UTC

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 02 Dec 2016 20:30:20 +0300

yandex-tools-idm (104.2) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4352: Добавить фильтр по value-узлам в ручке узлов
  * RULES-4351: Научиться в ручке узлов отдавать узлы всех систем

  [ Alexey Boriskin ]
  * RULES-4371: Отдать ресурсы пользователей и групп в v1

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Dec 2016 20:26:00 +0300

yandex-tools-idm (104.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4195: Английские названия групп в англоязычном интерфейсе на странице пользователя
  * RULES-4195: Английские названия систем в англоинтерфейсе

  [ Ilya Peterov ]
  * RULES-4337: Проверять сертификат только при наличии _requester

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 30 Nov 2016 17:33:26 +0300

yandex-tools-idm (104.0) testing; urgency=low

  [ Ilya Peterov ]
  * 'RULES-4300: Добавить данных в таблицу запросов

  [ Alexey Boriskin ]
  * RULES-4195: Обновил версию django-tanker
  * RULES-4195: Поправил баг с непереведённым описанием системы
  * RULES-4195: Поправил тест, упавший из-за некорректного перевода
  * RULES-4195: Заменил во всём проекте (кроме шаблонов) использование system.name на system.get_name
  * RULES-4195: Удалил лишние и неиспользуемые фильтры и теги
  * RULES-4195: Поправил шаблоны: заменил system.name на system.get_name, |username на |who
  * RULES-4195: Поправил проблему с шапкой/подвалом plain text писем

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 30 Nov 2016 12:23:51 +0300

yandex-tools-idm (103.11.1) stable; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 08 Dec 2016 14:13:39 +0300

yandex-tools-idm (103.11) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4230: Не ставлю ненужных задач
  * RULES-4230: Запретил префетчинг тасок
  * RULES-4230: Хардкор-отладка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Dec 2016 19:35:47 +0300

yandex-tools-idm (103.10) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4378: Оптимизировать выгрузку для firewall

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 05 Dec 2016 14:03:01 +0300

yandex-tools-idm (103.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4230: Проставляем last_sync_at после синхронизации

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 29 Nov 2016 14:04:00 +0300

yandex-tools-idm (103.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4195: Обновить переводы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 28 Nov 2016 18:08:19 +0300

yandex-tools-idm (103.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4230: Ошибки в названиях очередей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 24 Nov 2016 21:19:31 +0300

yandex-tools-idm (103.6) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4078: При синхронизации ролей в экшены не проставляется система

  [ Alexey Boriskin ]
  * RULES-4262: Можно запросить 2 одинаковые роли с 1 формы запроса
  * RULES-4230: Правки админки
  * RULES-4329: Не выводится английское название системы на странице списка
  * RULES-4328: Запретил не вводить английское название для системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 24 Nov 2016 19:43:29 +0300

yandex-tools-idm (103.5) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4078: При синхронизации ролей в экшены не проставляется система
  * RULES-4078: Падают тесты на MySQL
  * RULES-3989: Выводить информационное сообщение при запросе роли

  [ Alexey Boriskin ]
  * RULES-4308: Нет ответственных у некоторых сервисов
  * RULES-4230: Переделал схему запуска периодических синхронизаций
  * RULES-4230: Разобраться с очередями celery

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 23 Nov 2016 19:41:51 +0300

yandex-tools-idm (103.4) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4298: Доработать NodeWrapper

  [ Alexey Boriskin ]
  * Revert RULES-3890: Оптимизировать саджест при работе с большими деревьями

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 22 Nov 2016 17:11:31 +0300

yandex-tools-idm (103.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3890: Удалил сортировку, из-за которой всё падало на MySQL

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 18 Nov 2016 18:32:09 +0300

yandex-tools-idm (103.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3890: Оптимизировать саджест при работе с большими деревьями
  * RULES-4074: Зафиксировал тестом ответ статусом 'approved' при автоаппруве
  * RULES-3890: Поменял подход к саджесту, чтобы избежать использования group by
  * RULES-3890: Добавил переиндексации в крон
  * RULES-3890: Миграции

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 18 Nov 2016 17:04:47 +0300

yandex-tools-idm (103.1) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-3799: Подсчёт количества строк в таске, а не при запросе
  * RULES-4097: Системы без ролей в firewall
  * RULES-3534: Workflow не работает при определённом порядке аппруверов
  * RULES-3801: Сделать в отчётах по ролям фильтр «sox-системы»

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 Nov 2016 13:46:39 +0300

yandex-tools-idm (103.0) testing; urgency=low

  [ Ilya Peterov ]
  * RULES-4275: Новая версия mysqlclient
  * RULES-4205: Дефолтное сообщение об ошибке для AccessDenied()
  * RULES-4281: Сортировка по id группы в membership
  * RULES-4218: Фильтр по нескольким id в ручке ролей
  * RULES-4227: 404 а не 500 при запросе к несуществующей группе

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 14 Nov 2016 16:44:58 +0300

yandex-tools-idm (102.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4279: 400 при починке системы
  * RULES-4280: Более аккуратное удаление cgroup

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 10 Nov 2016 17:09:31 +0300

yandex-tools-idm (102.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4163: Добавить id в поля запроса к системе add-role
  * RULES-4163: Миграции для нового плагина

  [ Ilya Peterov ]
  * RULES-4267: Новые версии pillow и lxml

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 10 Nov 2016 15:30:08 +0300

yandex-tools-idm (102.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4253: Не работает перевод роли по "state":"requested" в api/v1

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 07 Nov 2016 20:31:26 +0300

yandex-tools-idm (102.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4229: В групповом воркфлоу метод systemify тоже должен быть доступен

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 07 Nov 2016 13:35:26 +0300

yandex-tools-idm (102.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4220: Пересчет подтверждающих
  * RULES-4229: Добавить в workflow метод systemify

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 02 Nov 2016 16:17:59 +0300

yandex-tools-idm (102.5) testing; urgency=low

  [ Alexey Boriskin ]
  * TOOLSADMIN-3734: sleep 1, чтобы задачи успевали остановиться
  * RULES-4192: Починка упавшего теста
  * RULES-4178: Задача должна выполняться на том хосте, на котором поставлена

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 26 Oct 2016 17:29:44 +0300

yandex-tools-idm (102.4) testing; urgency=low

  [ Alexey Boriskin ]
  * TOOLSADMIN-3734: Задаём cpuset.cpus в базовом скрипте

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 24 Oct 2016 18:58:30 +0300

yandex-tools-idm (102.3) testing; urgency=low

  [ Alexey Boriskin ]
  * TOOLSADMIN-3734: Сделал диапазон CPU зависящим от общего числа CPU
  * RULES-4178: Настроил route для задачи мониторинга, оказалось что оно не попадает в очередь по умолчанию автоматически
  * RULES-4193: Метод system.all_users_with_role работает неверно при попытке обратиться к несуществующему узлу
  * RULES-4192: Метод user.all_roles в воркфлоу сломан

  [ Mikhail Polykovskij ]
  * RULES-4190: Обрабатывать в batch get параметры

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 24 Oct 2016 17:36:29 +0300

yandex-tools-idm (102.2) testing; urgency=low

  [ Alexey Boriskin ]
  * TOOLSADMIN-3734: Добавил зависимость от cgroup-bin

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 21 Oct 2016 17:26:40 +0300

yandex-tools-idm (102.1) testing; urgency=low

  [ Alexey Boriskin ]
  * TOOLSADMIN-3734: Ограничить потребление CPU idm-ом в продакшене
  * RULES-4178: Мониторинг yandex-tools-idm-celery не работает

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 21 Oct 2016 17:00:10 +0300

yandex-tools-idm (102.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4049: При перемещении групп не срабатывает отложенный отзыв
  * При сохранении перевыбираем систему по pk, чтобы разрешить смену slug-a
  * RULES-3535: Присылать всю историю изменений workflow

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 20 Oct 2016 11:24:12 +0300

yandex-tools-idm (101.10) stable; urgency=low

  [ Alexey Boriskin ]
  * TOOLSADMIN-3734: Ограничить потребление CPU idm-ом в продакшене
  * TOOLSADMIN-3734: Добавил зависимость от cgroup-bin
  * TOOLSADMIN-3734: Сделал диапазон CPU зависящим от общего числа CPU
  * TOOLSADMIN-3734: Задаём cpuset.cpus в базовом скрипте
  * RULES-4192: Метод user.all_roles в воркфлоу сломан
  * RULES-4193: Метод system.all_users_with_role работает неверно при попытке обратиться к несуществующему узлу
  * RULES-4178: Мониторинг yandex-tools-idm-celery не работает
  * RULES-4178: Настроил route для задачи мониторинга, оказалось что оно не попадает в очередь по умолчанию автоматически
  * RULES-4049: При перемещении групп не срабатывает отложенный отзыв
  * При сохранении перевыбираем систему по pk, чтобы разрешить смену slug-a

  [ Mikhail Polykovskij ]
  * RULES-4190: Обрабатывать в batch get параметры

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 24 Oct 2016 19:29:26 +0300

yandex-tools-idm (101.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3759: Перенёс проверку в метод пользователя
  * RULES-3759: Добавил несколько методов queryset и использовал их
  * RULES-3759: Перестал слать письма при переходе роли в onhold
  * RULES-3759: Дайджест про отложенные роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 17 Oct 2016 23:22:41 +0300

yandex-tools-idm (101.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3843: Пара оптимизаций по памяти
  * RULES-4137: Добавить переводы в ручку /approverequests/
  * RULES-4134: Отображать в карточке правильную группу
  * RULES-4134: Отзываем группы из depriving всегда, а не только когда есть очередь
  * RULES-4132: slots=True для элементов очереди
  * RULES-4132: Немного оптимизаций
  * RULES-4132: Фиксы фетчера

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 17 Oct 2016 09:50:14 +0300

yandex-tools-idm (101.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4009: Фильтр по узлу на странице неконсистентностей теперь работает так же, как на странице ролей: фильтрует не по точному совпадению, а показывает все неконсистентности связанные с узлами, нижележащими по отношению к переданному
  * RULES-4062: Удалил пермишен core.view_inconsistencies. Завязываемся везде на core.view_roles
  * RULES-4062: Добавил в команду idm_sync_permissions и функцию sync_permissions возможность частичной синхронизации, например, только добавления или только удаления полномочий

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 11 Oct 2016 23:57:48 +0300

yandex-tools-idm (101.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4103: Перезапросить отозванные роли
  * RULES-4009: 500 при фильтре неконсистентностей по ноде
  * RULES-4062: Сделать правильную проверку прав на промотр неконсистентностей
  * RULES-4109: Убрать спам на idm-notifications из-за нового корневого узла
  * RULES-4009: Переименовал названия параметров
  * RULES-4102: Перенёс логику фильтрации в менеджеры
  * RULES-4102: Доступ к групповым ролям в языке описания workflow
  * RULES-3971: В шаблоны сообщений на рассылку не пробрасывается комментарий
  * RULES-4011: Не резолвится неконсистентность из-за уволенного
  * RULES-3800: Изменил список полей в админке, добавил фильтр по признаку SOX

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 10 Oct 2016 21:49:35 +0300

yandex-tools-idm (101.5) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4088: Починка пересмотра после поломки из-за унификации пересмотра и перезапроса

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 05 Oct 2016 14:35:13 +0300

yandex-tools-idm (101.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4092: Фикс состояния активности роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 05 Oct 2016 01:05:56 +0300

yandex-tools-idm (101.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4092: Перезапрашивать отозванные роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 05 Oct 2016 00:24:20 +0300

yandex-tools-idm (101.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4088: Отключения пересмотра при смене подразделения
  * RULES-3800: Добавить системе признак sox

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 04 Oct 2016 13:13:35 +0300

yandex-tools-idm (101.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3463: Поправил выявившиеся проблемы синхронизации

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 03 Oct 2016 16:20:42 +0300

yandex-tools-idm (101.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4060: Миграции
  * RULES-3463: Убрал логику поиска наименьшего общего предка
  * RULES-3463: Переименовал model_managers в managers для единообразия
  * RULES-3463: Добавил зависимость от attrs и описал canonical-объекты
  * RULES-3463: Удалил хешеры, специфичные для модели и упростил базовый хешер
  * RULES-3463: Фетчеры отдают canonical-объекты вместо словарей
  * RULES-3463: as_canonical/from_canonical методы
  * RULES-3463: Упростил структуру базовых классов
  * RULES-3463: Новая логика в моделях для поддержки работы с canonical-объектами
  * RULES-3346: Удалил класс результирующей очереди
  * RULES-3463: Новые классы очереди и элементов очереди
  * RULES-3463: Удалил apply_* методы
  * RULES-3463: Обновил add_*/remove_*/change_*/deprive методы
  * RULES-3463: Переместил функции добавления/удаления участников и перемещения группы в тестах в tests/utils
  * RULES-3463: Удалил неиспользуемую функцию
  * RULES-3463: Поправил json-клиент, чтобы он возвращал в результирующем словаре юникод
  * RULES-3463: Добавил функцию для проверки стабильности хеширования
  * RULES-3463: Все updatable-узлы теперь имеют один базовый менеджер
  * RULES-3463: Обновил API для работы с деревом ролей
  * RULES-3463: Обновил тесты в соответствии с новой логикой
  * RULES-3463: Стилевые правки
  * RULES-3463: Сбрасываем хеш при перемещении узла
  * RULES-3463: Миграции
  * RULES-3463: Переделал (ре-)хешинг, оптимизировал (кажется) число запросов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 30 Sep 2016 14:34:39 +0300

yandex-tools-idm (100.7) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4102: Перенёс логику фильтрации в менеджеры
  * RULES-4102: Доступ к групповым ролям в языке описания workflow
  * RULES-4011: Не резолвится неконсистентность из-за уволенного
  * RULES-3971: В шаблоны сообщений на рассылку не пробрасывается комментарий
  * RULES-4109: Убрать спам на idm-notifications из-за нового корневого узла

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 11 Oct 2016 14:38:54 +0300

yandex-tools-idm (100.6.1) stable; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 06 Oct 2016 16:30:32 +0300

yandex-tools-idm (100.6) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4103: Перезапросить отозванные роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 06 Oct 2016 15:16:25 +0300

yandex-tools-idm (100.5) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-4088: Отключения пересмотра при смене подразделения
  * RULES-4092: Перезапрашивать отозванные роли
  * RULES-4092: Фикс состояния активности роли
  * RULES-4092: Починка пересмотра после поломки из-за унификации пересмотра и перезапроса
  * RULES-4060: Миграции
  * RULES-4100: Убрать логику поиска наименьшего общего предка при синхронизации групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 05 Oct 2016 15:51:16 +0300

yandex-tools-idm (100.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4060: При переносе поддерева теряется право ответственного за ноду

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 28 Sep 2016 11:34:21 +0300

yandex-tools-idm (100.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-4005: Не пятисотить на перезапрос роли, если подтверждающий уволен

  [ Mikhail Polykovskij ]
  * Исправлено логирование перемещения узлов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 21 Sep 2016 15:15:44 +0300

yandex-tools-idm (100.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3903: Сортировка по user, group, subject
  * RULES-3969: Не отдаём human/human_short во вложенные объекты node в frontend api
  * RULES-3960: Неправильная сортировка на вкладке запросов изменения воркфлоу

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 08 Sep 2016 18:05:13 +0300

yandex-tools-idm (100.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3942: Валидатор sudo падает на русских буквах
  * RULES-3966: Неконсистентность type=we_have_system_dont не отображается при фильтре по пользователю

  [ Mikhail Polykovskij ]
  * RULES-3827: Перенос поддерева ролей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 07 Sep 2016 13:38:37 +0300

yandex-tools-idm (100.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3891: Синхронизация CAuth падает из-за неверной строки формата
  * RULES-3939: Ошибка при запросе роли в CAuth
  * RULES-3939: Записываем в экшены робота, который модифицирует дерево
  * RULES-3947: Письмо об отклонении запроса роли на рассылку
  * RULES-3905: Переименовал файл тестов для консистентности
  * RULES-3905: Ручка для саджеста состояний неконсистентности
  * RULES-3904: Ручка для саджеста по типам неконсистентностей
  * RULES-3903: Ручка неконсистентностей
  * RULES-3903: Улучшил обработку имперсонирования
  * RULES-3903: Добавил возможность фильтрации по username/group_id без указания, что это – username или group_id

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Sep 2016 20:21:17 +0300

yandex-tools-idm (99.12) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3942: Валидатор sudo падает на русских буквах
  * RULES-3947: Письмо об отклонении запроса роли на рассылку

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 06 Sep 2016 14:38:41 +0300

yandex-tools-idm (99.11) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3939: Ошибка при запросе роли в CAuth
  * RULES-3939: Записываем в экшены робота, который модифицирует дерево

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 29 Aug 2016 22:59:30 +0300

yandex-tools-idm (99.10) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3891: Синхронизация CAuth падает из-за неверной строки формата

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 26 Aug 2016 18:35:18 +0300

yandex-tools-idm (99.9) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3930: Обрабатывать в API названия полей и алиасов в виде строк, а не вложенных словарей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 Aug 2016 20:21:36 +0300

yandex-tools-idm (99.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3891: Синхронизация узлов дерева CAuth падает с ошибкой, если ответственный за хост увольняется во время синхронизации
  * RULES-3914: Поправил ворнинг gettext-а
  * RULES-3914: Изменил настройку танкера, чтобы получить ключ в качестве исходного текста для перевода
  * RULES-3914: Обновил po-файлы
  * RULES-3914: Нет переводов для статусов Импортирована, Ожидание, Передана в систему

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 Aug 2016 18:08:47 +0300

yandex-tools-idm (99.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3741: Не отправлять уведомления о ролях при выходе из группы, если роль в системе остается активной
  * RULES-3918: Не хватает данных в выгрузке пользователей
  * RULES-3921: Убрать алиасы из саджеста ролей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 24 Aug 2016 18:01:24 +0300

yandex-tools-idm (99.6) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-3387: Улучшить логирование в тасках

  [ Alexey Boriskin ]
  * RULES-3889: Синхронизация узлов: изменить формулировку в попапе
  * RULES-3891: Синхронизация узлов дерева CAuth падает с ошибкой

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 22 Aug 2016 17:22:43 +0300

yandex-tools-idm (99.5) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3788: Переименовать Управлятор в IDM на беке

  [ Alexey Boriskin ]
  * RULES-3817: Система получала 502 при обращении к ручкам idm
  * RULES-3838: Поправить письмо про существующий логин
  * RULES-3783: В api-ручках научиться при limit=0 отдавать счётчики количества
  * RULES-3252: Скрипт yandex-tools-idm-celery не останавливает celery
  * RULES-3880: Поломка Управлятора из-за неудалившихся ответственностей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 19 Aug 2016 16:33:58 +0300

yandex-tools-idm (99.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3837: Разрешить в диагностике дергать ручки сломанных систем
  * RULES-3857: Обновить версию pytz
  * RULES-3798: Команда idm_check_and_resolve с check_only=true не создает неконсистентности
  * RULES-3866: Научиться обрабатывать случаи, когда руководитель и зам — один человек.
  * RULES-3862: Добавить дополнительные текcтовые поля в ручки действий
  * RULES-3842: Дубликаты узлов дерева

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 16 Aug 2016 16:52:55 +0300

yandex-tools-idm (99.3) testing; urgency=low

  * RULES-3487: Удалить System.contacts
  * RULES-3755: В информацию о системе отдавать участников команды
  * RULES-3735: Плохое отображение AnyApprover
  * RULES-3742: Отображать ответственных за ноду в админке
  * RULES-3709: Брать название системы для ручки /systems/ с учётом локали
  * RULES-3695: Отдавать в ручке про группу заместителей её руководителя
  * RULES-2137: Отказаться от работы с паспортными паролями

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Thu, 04 Aug 2016 13:17:51 +0300

yandex-tools-idm (99.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2327: Вернул случайно перезатёртый consumer

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 26 Jul 2016 13:58:30 +0300

yandex-tools-idm (99.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2327: Поправил манифест и удалил из конфига удалённый контекст-процессор

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 26 Jul 2016 12:37:29 +0300

yandex-tools-idm (99.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2327: Выбросил ycssjs
  * RULES-2327: Выбросил неиспользуемый код
  * RULES-2327: Переименовал rules
  * RULES-2327: Переименование upravlyator в idm
  * RULES-2327: Переименовал мета-информацию
  * RULES-2327: Переименовал upravlyator_tags в idm_tags
  * RULES-2327: Добавил db_table везде
  * RULES-2327: Вынес админку testenv в сам testenv
  * RULES-2327: Удалил неиспользуемые шаблонные теги
  * RULES-2327: Удалил неиспользуемую функцию для работы с changelog-ом
  * RULES-2327: Создание приложения core
  * RULES-2327: Перенёс database backend в приложение framework
  * RULES-2327: Перенёс базовый класс админки в framework
  * RULES-2327: Перенёс миксины в framework
  * RULES-2327: Перенёс базовый класс задачи в framework
  * RULES-2327: Выделил приложение core и перенёс в него таски, workflow, плагины, management-команды, шаблоны и шаблонные теги
  * RULES-2327: Вынес общую функцию из management-команд в splunk.py
  * RULES-2327: Поправил импорты
  * RULES-2327: Перенёс миграции
  * RULES-2327: Миграции
  * RULES-2327: Удалил контекcт-процессоры
  * RULES-2327: Перенёс Requester в framework
  * RULES-2327: Перенёс mail backend в notifications
  * RULES-2327: Сделал метод pending_approve_requests методом ApproveRequestManager-a
  * RULES-2327: Запихнул middleware во framework
  * RULES-2327: Перенёс splunk в утиль

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 25 Jul 2016 22:06:47 +0300

yandex-tools-idm (98.21) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3891: Синхронизация узлов дерева CAuth падает с ошибкой
  * RULES-3252: Скрипт yandex-tools-idm-celery не останавливает celery
  * RULES-3880: Поломка Управлятора из-за неудалившихся ответственностей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 22 Aug 2016 17:37:01 +0300

yandex-tools-idm (98.20) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3817: Система получала 502 при обращении к ручкам idm

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 17 Aug 2016 09:56:27 +0300

yandex-tools-idm (98.19) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3842: Дубликаты узлов дерева

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 16 Aug 2016 16:28:42 +0300

yandex-tools-idm (98.18) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3866: Научиться обрабатывать случаи, когда руководитель и зам — один человек.

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 12 Aug 2016 15:54:06 +0300

yandex-tools-idm (98.17) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3837: Разрешить в диагностике дергать ручки сломанных систем

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 09 Aug 2016 15:55:39 +0300

yandex-tools-idm (98.16) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3796: Разобраться с синхронизацией вики-групп

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 29 Jul 2016 09:29:01 +0300

yandex-tools-idm (98.15) stable; urgency=low

  * RULES-3809: Ломается API над нодами при наличии ответственных

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 28 Jul 2016 13:54:37 +0300

yandex-tools-idm (98.14) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3794: Забытый импорт

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 26 Jul 2016 18:46:26 +0300

yandex-tools-idm (98.13) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3794: Показываем свои роли в CAuth для любого пользователя
  * RULES-3796: Разобраться с синхронизацией вики-групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 26 Jul 2016 18:32:24 +0300

yandex-tools-idm (98.12) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3768: Участник команды системы не может запросить подтверждение изменения воркфлоу

  [ Alexey Boriskin ]
  * RULES-3670: Добавил аргумент since в команду синхронизации, который отзывает группы, как если бы текущее время было равно since
  * RULES-3670: Включил предобработку для argparse-based команд, запускаемых через testapi
  * RULES-3670: Не продляем depriving бесконечно

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 21 Jul 2016 16:48:50 +0300

yandex-tools-idm (98.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3657: Синхронизация должна падать, если нужно добавить участником или ответственным пользователя, которого мы ещё не забрали со Стаффа

  [ Mikhail Polykovskij ]
  * RULES-3767: Неправильное описание типа идентификации неконсистентности

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 21 Jul 2016 14:24:39 +0300

yandex-tools-idm (98.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3723: Убрал тестовый костыль
  * RULES-3723: Нет сообщения об ошибке выдачи роли в режиме read only
  * RULES-3723: Поменял порядок middleware, выбросил ненужную нам WaffleMiddleware, отказался от LocaleMiddleware в пользу I18NMiddleware
  * RULES-3723: Изолирую тесты друг от друга: раньше они могли иметь общий кеш
  * RULES-3723: Стал прогонять middleware для HTTP-подзапросов
  * RULES-3597: Ссылки на тестинги staff и abc из тестинга и дева IDM
  * RULES-3753: Поправить обработку email'ов в wf cauth

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 20 Jul 2016 13:17:06 +0300

yandex-tools-idm (98.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3733: На экране диагностики дефолтно выбирать сертификат и библиотеку, прописанные в системе
  * RULES-3690: Письмо про наличие неконсистентностей не содержит подробностей про отсутствующие узлы
  * RULES-3510: Доработал команду, удаляющую данные

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 19 Jul 2016 11:04:45 +0300

yandex-tools-idm (98.8) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3560: Участник команды не может отзывать роли
  * RULES-3712: Потеряли rehash и проверку на неответ системы при переезде на новые ручки

  [ Alexey Boriskin ]
  * RULES-3569: Поправил падавший на MySQL тест
  * RULES-3510: Изменил импорты
  * RULES-3510: Ответственные за ноду
  * RULES-3510: Отфильтровываем внутренние роли на узлы с ответственностями из get-all-roles
  * RULES-3510: Добавил защиту для ручки add-role
  * RULES-3510: Удалил функцию create_role_node_structure, которая дублировала существующую функциональность
  * RULES-3510: Поправил тесты на воркфлоу CAuth
  * RULES-3510: Добавил тест на обнаруженный баг в обработке флага notify
  * RULES-3510: Добавил удаляющую роли в CAuth одноразовую команду и тест на неё
  * RULES-3729: Не работает фильтр по ключевому слову
  * RULES-3628: Поправил неопределённость, из-за которой падал один тест
  * RULES-3628: Удалил неиспользуемые настройки
  * RULES-3628: Удалил DeletableNode, в проекте оно не используется, а только мешает
  * RULES-3628: Поправил API групп: отдаём единый ключ 'name', который зависит от языка пользователя
  * RULES-3670: Удалять группу не сразу
  * RULES-3628: Добавил флаг для принудительного отзыва depriving групп и поправил падавший тест
  * RULES-3628: Удалил хак для MPTT
  * RULES-3628: Перенёс метод apply() в элементы очереди, упростил код
  * RULES-3628: Обрабатываю случай, когда группа сначала пропала, а потом появилась в другом месте
  * RULES-3628: Устранить мигание персональной роли
  * RULES-3628: Перестал указывать в данных роли, какое членство привело к её выдаче
  * RULES-3628: Миграция
  * RULES-3572: Забытая миграция

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 14 Jul 2016 11:23:33 +0300

yandex-tools-idm (98.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3685: Функция does_have_role падает с ошибкой
  * RULES-3703: Заменить заголовок диффа узлов с h1 на h3. + удалил неиспользуемые части шаблона и инлайновые стили
  * RULES-3569: Починил запуск синхронизации ролей
  * RULES-3716: Для случая ошибки коннекта выводим undefined

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 13 Jul 2016 00:22:22 +0300

yandex-tools-idm (98.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2216: Вернул STATIC_URL, без которого плохо админке

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 11 Jul 2016 13:37:32 +0300

yandex-tools-idm (98.5) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3676: Не отзываем роли в onhold по истечении трёх дней
  * RULES-3676: Добавил в action комментарий, если роль выдаётся или отзывается без оповещения системы.
  * RULES-3689: В карточке запрошенной роли отображать только те OR-группы, от которых действительно требуется подтверждение

  [ Mikhail Polykovskij ]
  * RULES-2216: Удалить остатки старых отчетов
  * RULES-3575: Отдавать переводы статуса ролей
  * RULES-3641: Удалить старые ручки системы
  * RULES-3641: Убрал лего
  * RULES-3669: Переключать язык на беке из данных ЧЯ

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 11 Jul 2016 12:44:37 +0300

yandex-tools-idm (98.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3620: Не отрывается 67 сид у бывших сотрудников
  * RULES-3673: Добавил логгирования для отладки поломки Кондуктора

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 06 Jul 2016 15:40:57 +0300

yandex-tools-idm (98.3) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1434: Ручки для экрана диагностики
  * RULES-1434: pep8
  * RULES-3643: Обновить django_yauth до 3.56
  * RULES-3643: pep8
  * RULES-3572: Вернуть waffle и через него переключать RO режим
  * RULES-3660: Убрать заголовок Content-Type из ручки про изменения дерева
  * RULES-3599: Операция recover у системы

  [ Alexey Boriskin ]
  * RULES-3647: Допинывалка отзывает роли в статусе "Отложена"
  * RULES-3612: Письмо о поломке не содержит подробностей о неконсистентностях на стороне системы
  * RULES-3612: Не включаем систему в отчёт, если в ней нет неконсистентностей
  * RULES-3612: Отсылаем сообщения о поломке в системе на рассылку системы
  * RULES-3612: Вернул глобальный lock на команду
  * RULES-3612: Отрефакторил команду, чтобы разрешение неконсистентностей не запускалось, если при проверке системы были проблемы
  * RULES-1434: Поправил падающий тест
  * RULES-3665: Допинывалка ролей ломается на выключенной системе

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 05 Jul 2016 20:49:18 +0300

yandex-tools-idm (98.2) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3569: Ручки для экрана синхронизации

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 04 Jul 2016 13:52:23 +0300

yandex-tools-idm (98.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3597: Генерировать внешнюю ссылку на группу

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 01 Jul 2016 14:33:54 +0300

yandex-tools-idm (98.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3570: Убить страницу с переименованными подразделениями
  * RULES-3571: Убить экраны нотификаций
  * RULES-3598: Саджесты для экрана диагностики

  [ Alexey Boriskin ]
  * RULES-3605: Не выгружается отчёт по изменениям workflow в xls
  * RULES-3286: Разрешить заместителям запрашивать роль для подчинённых

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 30 Jun 2016 15:46:10 +0300

yandex-tools-idm (97.14.0) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3676: Не отзываем роли в onhold по истечении трёх дней
  * RULES-3676: Добавил в action комментарий, если роль выдаётся или отзывается без оповещения системы.

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 07 Jul 2016 16:33:55 +0300

yandex-tools-idm (97.13.0) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3612: Письмо о поломке не содержит подробностей о неконсистентностях на стороне системы
  * RULES-3612: Не включаем систему в отчёт, если в ней нет неконсистентностей
  * RULES-3612: Отсылаем сообщения о поломке в системе на рассылку системы
  * RULES-3612: Вернул глобальный lock на команду
  * RULES-3612: Отрефакторил команду, чтобы разрешение неконсистентностей не запускалось, если при проверке системы были проблемы
  * RULES-3665: Допинывалка ролей ломается на выключенной системе
  * RULES-3620: Не отрывается 67 сид у бывших сотрудников
  * RULES-3673: Добавил логгирования для отладки поломки Кондуктора
  * RULES-3647: Допинывалка отзывает роли в статусе "Отложена"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 06 Jul 2016 16:29:59 +0300

yandex-tools-idm (97.12.0) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3605: Не выгружается отчёт по изменениям workflow в xls

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 30 Jun 2016 14:43:42 +0300

yandex-tools-idm (97.11.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3594: Ломается админка при поиске по неконсистентностям
  * RULES-3579: Убрал DISTINCT, вернул подзапрос
  * RULES-3579: Добавил индексов для аппрувреквестов и узлов дерева ролей
  * RULES-3579: Раскрыл подзапросы в список айдишников
  * RULES-3579: Перестал использовать хинтинг

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 27 Jun 2016 17:02:24 +0300

yandex-tools-idm (97.10.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3574: Плохая ссылка в письме про отзыв роли
  * RULES-3484: Убрать логику подсчета номера страницы для роли/действия
  * RULES-3574: Имя сотрудника в письме об отзыве роли

  [ Alexey Boriskin ]
  * RULES-3432: Корректно обрабатываем случай отсутствия автора или подтверждающего

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 23 Jun 2016 16:35:06 +0300

yandex-tools-idm (97.9.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3513: Забытая миграция

  [ Mikhail Polykovskij ]
  * RULES-3433: Поменять шаблоны уведомлений на рассылку

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 23 Jun 2016 11:37:02 +0300

yandex-tools-idm (97.8.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3565: Сломан режим silent в обновлении дерева ролей
  * RULES-3417: Добавить в пользователя ссылку на департаментную группу
  * RULES-3328: Использовать группы во внутренней логике определения прав
  * RULES-3417: Переделал запрос с подзапросов на один большой JOIN

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 22 Jun 2016 20:36:09 +0300

yandex-tools-idm (97.7.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3513: Обошёл ограничения MySQL

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 22 Jun 2016 18:27:57 +0300

yandex-tools-idm (97.6.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3532: Нет кнопки Отозвать у роли в onhold

  [ Alexey Boriskin ]
  * RULES-3434: Учёл возможность рассинхронизации данных
  * RULES-3513: Поправил фикстуру, которая создавала ситуацию, которой в реальной жизни не должно случаться и этим мешала
  * RULES-3513: В ручку membership по человеку отдавать все группы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 22 Jun 2016 17:55:03 +0300

yandex-tools-idm (97.5.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3432: Удалил неиспользуемый класс
  * RULES-3432: Добавить данные в отчёт по изменениям workflow
  * RULES-3434: Синхронизировать кастомные роли из ABC: Баг с несовпадением slug-ов в staff api и plan api

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 21 Jun 2016 10:30:35 +0300

yandex-tools-idm (97.4.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3436: Удалил смущающие initial
  * RULES-3436: Удалил лишнее
  * RULES-3436: Добавил в API возможность задать unique_id
  * RULES-3436: Не удалять роли при перемещении узла
  * RULES-3538: Добавлять в action починки системы того, кто починил
  * RULES-3544: Не работает блок проверки worfklow

  [ Mikhail Polykovskij ]
  * RULES-3515: Фильтр по типу группы в ручке групп человека - мультивыбор
  * RULES-3498: В отчёт по ролям системы добавить данные - групповые роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 17 Jun 2016 17:35:13 +0300

yandex-tools-idm (97.3.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3434: Синхронизировать кастомные роли из ABC
  * Добавил возможность запустить тесты под профайлером
  * RULES-3533: Добавить expire_at в список полей /api/testapi/roles/{role_id}/

  [ Mikhail Polykovskij ]
  * RULES-3498: улучшен импорт
  * RULES-3498: В отчёт по ролям системы добавить данные

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 16 Jun 2016 12:29:11 +0300

yandex-tools-idm (97.2.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3445: Больше логгирования для тестинга
  * RULES-3445: USE INDEX ('primary') для Count-запросов
  * RULES-3445: Оптимизация медленного OR-а
  * RULES-3445: Индексы для ускорения выборок
  * RULES-3445: Фикс длинного запроса
  * RULES-3445: Оптимизация бутылочного горлышка

  [ Mikhail Polykovskij ]
  * RULES-3515: Фильтр по типу группы в ручке групп человека
  * RULES-3523: Добавить саджест по типам групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 14 Jun 2016 14:55:39 +0300

yandex-tools-idm (97.1.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2970: Не отзывать персональную роль при выходе из группы
  * RULES-2970: префикс IDM для констант
  * RULES-3505: Добавить ручку /actions в api v1
  * RULES-3508: Поддержать фильтр по нескольким группам в /api/frontend/membership

  [ Alexey Boriskin ]
  * Up middle digit in version by default

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 10 Jun 2016 15:17:43 +0300

yandex-tools-idm (97.0.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2848: Отправлять ссылку на карточку роли в письмах
  * RULES-2848: домен в настройках
  * RULES-2484: template tag
  * RULES-3388: Проставлять membership/responsibility в action-ах входа/выхода в группу
  * RULES-3507: Сделать саджест по группам

  [ Alexey Boriskin ]
  * RULES-2848: Фикс тестов на MySQL
  * RULES-3507: Добавил метод get_name к группе

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 09 Jun 2016 22:14:53 +0300

yandex-tools-idm (0.96.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3504: Вызов отчетов без фильтров на почту ломает управлятор

  [ Mikhail Polykovskij ]
  * RULES-3302: суперюзер может применять свои изменения

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 07 Jun 2016 18:52:31 +0300

yandex-tools-idm (0.96.5) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3431: Фикс миграции-2
  * RULES-3495: Добавить поля в select_related
  * RULES-3497: Проблема с кодировкой при форматировании ошибки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 06 Jun 2016 20:43:21 +0300

yandex-tools-idm (0.96.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3431: Фикс миграции
  * RULES-3401: Фильтр "персональные роли" применяется и в group-aware системах
  * RULES-3461: Учитывать алиасы ноды при фильтрации ролей

  [ Mikhail Polykovskij ]
  * RULES-3481: Фильтр по id в ручке действий
  * RULES-3480: Фильтр по id в ручке ролей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 06 Jun 2016 15:57:09 +0300

yandex-tools-idm (0.96.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3446: Если политика системы – "не пересматривать роли при перемещении групп", то роли не перемещаются вместе с группой
  * RULES-3474: Сейчас в тестинге не запрашивается роль. Выдаём всегда on_page=1, чтобы не выполнять сложный запрос на мастере после запроса роли
  * RULES-3477: Не открывается карточка роли
  * RULES-3477: Изменил порядок миграций

  [ Mikhail Polykovskij ]
  * RULES-3421: Некрасиво пятисотит GET /api/frontend/rolerequests/
  * RULES-3416: В ресурсе система брать ответственных из ролей
  * RULES-3431: Поправить date_leaved в членствах групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 03 Jun 2016 15:19:34 +0300

yandex-tools-idm (0.96.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3169: Протекают внешние логины с точкой при синхронизации
  * RULES-3458: Поддержать _requester'а в POST'е роли
  * RULES-3444: Отпилить проверку на уволенность в уведомлениях

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 01 Jun 2016 15:44:32 +0300

yandex-tools-idm (0.96.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3402: Если при запросе роли в системе с необязательным наличием паспортного логина указать существующий, но ничего не выбрать - роль запросится с "system_specific":{"passport-login":""}
  * RULES-3412: Ошибка при выдаче роли в Метрике. This reverts commit 1d0694
  * RULES-3423: Плохо синхронизировались поля в CAuth
  * RULES-3423: Добавил хелпер для логгирования времени выполнения произвольного блока кода
  * RULES-3423: Упростил код синхронизации, использовал start_stop_actions, стал проставлять parent в action-ах аналогично синхронизации ролей
  * RULES-3423: Перестал пробрасывать пользователя в функцию отзыва ролей, выданных на удалённые узлы
  * RULES-3401: Не создавать персональные роли для aware систем
  * RULES-3456: Добавить команду, которая удаляла бы всю информацию о системе

  [ Mikhail Polykovskij ]
  * RULES-3302: Запретить применять свои изменения в воркфлоу
  * RULES-3396: Если у роли is_public=false, то дату регулярного пересмотра в карточке этой роли не надо отображать
  * RULES-3425: Лишние сотрудники в  департаментных группах - команда для фикса
  * RULES-3425: Лишние сотрудники в  департаментных группах - тест на отзыв членства

  [ Alex Koshelev ]
  * RULES-2021: Рефаторинг ручки /meta
  * RULES-3410: Добавить поддержку множественного выбора в ручку /api/frontend/membership/

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 01 Jun 2016 13:05:18 +0300

yandex-tools-idm (0.96.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3392: Видно число связанных ролей в карточке основной роли, если среди связанных только роль с visability=false
  * RULES-3391: При запросе роли с visability=false через связанную отправляется письмо
  * RULES-3308: Перенести логику TransitionResource в ресурс роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 May 2016 18:03:38 +0300

yandex-tools-idm (0.95.29) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3477: Изменил порядок миграций

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 03 Jun 2016 14:37:08 +0300

yandex-tools-idm (0.95.28) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3474: Сейчас в тестинге не запрашивается роль. Выдаём всегда on_page=1, чтобы не выполнять сложный запрос на мастере после запроса роли
  * RULES-3477: Не открывается карточка роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 02 Jun 2016 18:57:34 +0300

yandex-tools-idm (0.95.27) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3401: Не создавать персональные роли для aware систем
  * RULES-3423: Плохо синхронизировались поля в CAuth
  * RULES-3423: Добавил хелпер для логгирования времени выполнения произвольного блока кода
  * RULES-3423: Упростил код синхронизации, использовал start_stop_actions, стал проставлять parent в action-ах аналогично синхронизации ролей
  * RULES-3423: Перестал пробрасывать пользователя в функцию отзыва ролей, выданных на удалённые узлы
  * RULES-3456: Добавить команду, которая удаляла бы всю информацию о системе

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 31 May 2016 16:29:45 +0300

yandex-tools-idm (0.95.26) stable; urgency=low

  * RULES-3425: Лишние сотрудники в  департаментных группах - команда для фикса

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Fri, 27 May 2016 14:14:49 +0300

yandex-tools-idm (0.95.25) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3412: Ошибка при выдаче роли в Метрике. This reverts commit 1d0694

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 26 May 2016 12:51:53 +0300

yandex-tools-idm (0.95.24) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3017: Привязать все роли к нодам: правки для хотфикса

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 May 2016 19:25:37 +0300

yandex-tools-idm (0.95.23) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3166: руководители сервисов

  [ Alexey Boriskin ]
  * RULES-3370: Лишние роли на основе групповой
  * RULES-3370: .* вместо .id, чтобы избежать defer-like поведения и лишних запросов

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 24 May 2016 13:27:18 +0300

yandex-tools-idm (0.95.22) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3100: Удалил TODO: for_update
  * RULES-3100: Убрал for_update везде
  * RULES-3100: Удалил for_update везде в тестах

  [ Mikhail Polykovskij ]
  * RULES-3369: Падает рендер экшена
  * RULES-3368: Ошибка в работе с алиасами нод в /api/v1

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 23 May 2016 17:36:21 +0300

yandex-tools-idm (0.95.21) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-3100: отключил команду idm_check_roles_ttl_days
  * RULES-3166: просим у API Планера поле is_senior

  [ Alexey Boriskin ]
  * RULES-3379: Вынести запрос связанных ролей в отдельную таску

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 20 May 2016 20:32:36 +0300

yandex-tools-idm (0.95.20) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3373: Перенёс создание хешей из миграции в oneoff-команду
  * RULES-3384: Починить RoleAsNode

  [ Mikhail Polykovskij ]
  * RULES-3347: не приходят отчеты на почту

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 20 May 2016 15:36:39 +0300

yandex-tools-idm (0.95.19) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3166: фикс работы с ids api
  * RULES-3354: Обновить ids

  [ Alexey Boriskin ]
  * RULES-3360: Сломалась логика сверки связанных ролей
  * RULES-3100: Поправил тест, падающий из-за отсутствия update_fields
  * RULES-3373: Сделать отдельную таблицу с хешами ролей
  * RULES-3374: Не приезжают данные в таблицу ролей: попытка демаскировки причины ошибки

  [ Alex Koshelev ]
  * RULES-3370: Лишние роли на основе групповой

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 19 May 2016 23:18:12 +0300

yandex-tools-idm (0.95.18) testing; urgency=low

  * RULES-3100: убрал save по умолчанию всех полей роли
  * RULES-3372: Выводить traceback в ошибках бека всегда

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 19 May 2016 15:41:44 +0300

yandex-tools-idm (0.95.17) testing; urgency=low

  * RULES-3100: убрал select_for_update() везде кроме oneoff команд

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 19 May 2016 13:13:25 +0300

yandex-tools-idm (0.95.16) testing; urgency=low

  * RULES-3100: увеличил до 16 пул воркеров очереди roles
  * RULES-3100: помечаем отзываемую роль for_update

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 19 May 2016 01:27:31 +0300

yandex-tools-idm (0.95.15) testing; urgency=low

  * RULES-3371: Убрать констрейнты FK у неконсистентностей
  * RULES-3100: Ещё убираем for_update, чтобы диагностировать причину дедлоков

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 19 May 2016 01:13:46 +0300

yandex-tools-idm (0.95.14) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3100: Временно убрал for_update, чтобы диагностировать причину дедлоков

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 18 May 2016 20:05:02 +0300

yandex-tools-idm (0.95.13) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3100: Добавил задачу в нужную очередь
  * RULES-3100: Отчёты только для активных систем
  * RULES-3100: Поправил падающий тест
  * RULES-3355: Создаём отчёты только для generic-plugin систем
  * RULES-3100: Per-system локи для поиска и разрешения неконсистентностей
  * RULES-3363: При ночном прогоне стала зависать команда idm_check_approvers_difference
  * RULES-3100: Понижение уровня изоляции транзакций до READ COMMITTED
  * RULES-3355: Поправил неверный фильтр, который ломал тесты

  [ Mikhail Polykovskij ]
  * RULES-3353: Команда idm_sync_groups падает с ошибкой

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 18 May 2016 19:20:23 +0300

yandex-tools-idm (0.95.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3100: Убрал глобальный атомик

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 18 May 2016 13:15:02 +0300

yandex-tools-idm (0.95.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3356: Поддержал в бекенде композитные индексы по текстовым полям. Код скопирован из базового класса, так как толком переопределить это место нельзя

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 17 May 2016 21:31:57 +0300

yandex-tools-idm (0.95.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3100: Дедлоки при запросе внутренней роли
  * RULES-3100: Переписал синхронизацию с хранимой процедуры на SQL-операторы в коде
  * RULES-3100: Удалил фикстуру, загружающую хранимые процедуры
  * RULES-3355: idm_check_and_resolve отдает 502 через 5 минут при запуске с check_only:true
  * RULES-3356: Сделать индексы для использования в синхронизации

  [ Mikhail Polykovskij ]
  * RULES-3352: Несуществующая команда отдает 200 и в ответе пишет error

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 17 May 2016 21:02:48 +0300

yandex-tools-idm (0.95.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3348: Объединил команды idm_check_roles и idm_resolve_inconsistencies, чтобы они работали под общим локом
  * RULES-3348: Удалил поле is_active у MatchingRole (оно было не очень нужно), с остальных полей снял db_constraint
  * RULES-3348: MatchingRole не коммитятся, поэтому не стоит иметь их в админке

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 16 May 2016 17:44:50 +0300

yandex-tools-idm (0.95.8) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3272: Фильтруем очередь запросов по параметру approver
  * RULES-3336: Падает синхронизация сервисный групп

  [ Alex Koshelev ]
  * RULES-3232: фикс валидации формы участников групп
  * RULES-3345: Атомарные транзакции при изменении дерева

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 13 May 2016 16:05:17 +0300

yandex-tools-idm (0.95.7) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2942: Плейсхолдеры для полей ролей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 06 May 2016 18:55:58 +0300

yandex-tools-idm (0.95.6) testing; urgency=low

  * RULES-2526: фикс фильтрации узлов

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 06 May 2016 02:17:54 +0300

yandex-tools-idm (0.95.5) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3277: Считать hash для узлов добавленных через API

  [ Alexey Boriskin ]
  * RULES-3018: Большая миграция, удаляющая поля

  [ Alex Koshelev ]
  * RULES-2526: Обрабатывать фильтр по ключевым словам в роли

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 06 May 2016 00:37:32 +0300

yandex-tools-idm (0.95.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3017: Привязать все роли к нодам
  * RULES-3291: Оптимизировать поиск дубликатов ролей
  * RULES-3018: Избавиться от поля data в ролях
  * RULES-3018: Подчистил после неконсистентностей
  * RULES-3018: Удалил response_to_json
  * RULES-3018: Миграции: data теперь nullable + индекс по fields_data
  * RULES-3232: Поменял значение по умолчанию

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 05 May 2016 18:10:38 +0300

yandex-tools-idm (0.95.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3232: В ручке membership отдавать дочерние членства
  * RULES-3217: Поправил миграции, чтобы проставить inconsistency_id=NULL у Action-ов с некорректными inconsistency_id

  [ Andrey Bulgakov ]
  * RULES-3172 Починка и оптимизация миграций
  * RULES-3170 Избавляемся от many-to-many в коде

  [ Alex Koshelev ]
  * RULES-3331: Перестали прокидывать токен в запрос за отсутствиями

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 04 May 2016 23:25:19 +0300

yandex-tools-idm (0.95.2) testing; urgency=low

  [ Alex Koshelev ]
  * ULES-3312: Не использовать Department для проверки прав

  [ Mikhail Polykovskij ]
  * RULES-2967: Сортировать по роли в таблице нужно сначала по названию узла роли, а затем по id, если узлы одинаковые
  * RULES-3258: проверка базового урла
  * RULES-2856: Отдавать версию и ro состояние в каждой ручке API
  * RULES-3285: Тормозит синхронизация со Стаффом

  [ Alexey Boriskin ]
  * RULES-2165: Запретить создавать групповую роль на саму себя
  * RULES-3316: Механизм разрешения неконсистентностей не ломает систему, когда неконсистентностей много и если среди них есть неконсистентности и о пользователе, и о роли
  * RULES-3313: Время создания неконсистентностей для одного события отличается на 3 часа

  [ Andrey Bulgakov ]
  * RULES-3170 Замена MPTT на CTT

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 29 Apr 2016 19:26:09 +0300

yandex-tools-idm (0.95.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3217: Удалять неконсистентности при синхронизации
  * RULES-3217: Миграции
  * RULES-3271: Сихронизация ролей, выданных на основе групповой
  * RULES-3305: Нужна возможность видеть и менять ноду у роли в testapi

  [ Mikhail Polykovskij ]
  * RULES-3257: Добавить опцию вызова ручки без сертификата в дёргатель ручек
  * RULES-3292: Сделать поле scope обязательным у системных ролей
  * RULES-3258: Сделать команду, проверяющую проверку системами сертификата
  * RULES-2855: Поддержать фильтр по сломаности в ручке систем
  * RULES-3237: Поменять ссылки в письмах

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 27 Apr 2016 17:59:20 +0300

yandex-tools-idm (0.95.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3052: Деинсталляция приложения reversion и связанных компонентов
  * RULES-3150: Форма запроса роли для системы CAuth сейчас сильно тупит
  * RULES-3288: Не показываем руководителя, если он не непосредственный
  * RULES-2379: Ускорить синхронизацию ролей

  [ Mikhail Polykovskij ]
  * RULES-2168: Флаг активности и дата в групповых членствах
  * RULES-2169: Не удалять старые групповые членства
  * RULES-2131: Ручка по составу группы
  * RULES-3166: Поддержать ответственных сервисных групп и ролевых подгрупп
  * RULES-3264: Обрабатывать несколько действий из фильтра
  * RULES-3266: Обрабатывать несколько наборов ролей из фильтров

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 25 Apr 2016 14:21:35 +0300

yandex-tools-idm (0.94.1) testing; urgency=low

  [ Alexey Boriskin ]
  * Починил вывод сломанных систем на старом фронте и поменял цвет
  * Revert "RULES-2965: Обрабатывать удаленные группы"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 21 Apr 2016 14:42:35 +0300

yandex-tools-idm (0.94.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3247: Добавить в админку параметр ручки
  * RULES-2919: Миграция для переименования планерной группы в сервисную
  * RULES-3052: Удалить reversion артефакты из базы

  [ Mikhail Polykovskij ]
  * RULES-2965: Обрабатывать удаленные группы

  [ Andrey Bulgakov ]
  * RULES-3171 ClosureTable для древовидных моделей и процедура-миграция

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 20 Apr 2016 19:38:09 +0300

yandex-tools-idm (0.93.8) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-3247: Добавить в админку параметр ручки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 18 Apr 2016 12:28:02 +0300

yandex-tools-idm (0.93.7) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3174: добавочные фильтры по id

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 14 Apr 2016 16:55:49 +0300

yandex-tools-idm (0.93.6) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3174: Дополнительный параметр саджеста для предзаполнения контрола

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 14 Apr 2016 14:14:24 +0300

yandex-tools-idm (0.93.5) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3178: Таски должны ретраиться при отсутствии Action

  [ Mikhail Polykovskij ]
  * RULES-1839: fix handles view

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Tue, 12 Apr 2016 19:02:33 +0300

yandex-tools-idm (0.93.4) testing; urgency=low

  * RULES-1839: curl и requests по выбору
  * RULES-3183: Ошибка записи в лог при запросе роли

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Tue, 12 Apr 2016 18:06:42 +0300

yandex-tools-idm (0.93.3) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-3128: Убрать stats счетчики из ручки ролей + RULES-3124

  [ Mikhail Polykovskij ]
  * RULES-3031: Убить /exists и /queue саджесты
  * RULES-3194: Добавить флаг is_favorite в ручку системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 08 Apr 2016 17:48:13 +0300

yandex-tools-idm (0.93.2) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3006: Передавать список избранных систем
  * RULES-3006: get rid of AUTH_USER_MODEL

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 01 Apr 2016 14:35:38 +0300

yandex-tools-idm (0.93.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3117: Не запрашиваются некоторые роли
  * RULES-2516: Убрал неиспользуемые импорты
  * RULES-2516: Инструменты для дергания новой ручки
  * RULES-2516: Перенёс тесты неконсистентностей в один каталог
  * RULES-2516: Убрал бесполезную теперь фикстуру simple_system_w_meta
  * RULES-2516: Новая ручка get_roles со списком ролей
  * RULES-3150: Форма запроса роли для системы CAuth сейчас сильно тупит

  [ Alex Koshelev ]
  * RULES-3132: Убрать deprecated роли в IDM

  [ Mikhail Polykovskij ]
  * RULES-2919: Синхронизировать ролевые подгруппы сервисов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 31 Mar 2016 16:21:56 +0300

yandex-tools-idm (0.93.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1839: Оставить по возможности только requests
  * RULES-3049: Не отзываем роли у удаленных групп
  * RULES-3049: fix roles depriving
  * RULES-3049: command fix
  * RULES-3109: Сделать миграцию, исправляющую историю подтверждений

  [ Alexey Boriskin ]
  * RULES-2986: Передавать тип группы в саджест
  * RULES-1839: Потеряли длинный timeout для ручек плагина
  * RULES-3118: Пользователю с атрибутом is_staff стало нельзя попасть в админку
  * RULES-3122: Обновить yauth
  * RULES-3120: Меньше ненужных сохранений
  * RULES-3120: Обновляем только необходимые поля
  * RULES-3120: Сделать транзакции более атомарными при синхронизации
  * RULES-3120: Обновление django-idm-api до 2.2, чтобы при выдаче ролей у пользователей обновлялись только поля is_staff и is_superuser
  * RULES-3049: Обернул команду в транзакцию
  * RULES-3129: Из-за ошибки в crontab выключился cron
  * RULES-3100: Меньше ненужных сохранений
  * RULES-3100: Дедлоки при запросе роли
  * RULES-3100: Понижение уровня изоляции транзакций до READ COMMITTED
  * Revert "RULES-3100: Понижение уровня изоляции транзакций до READ COMMITTED": Изменение уровня изоляции транзакций требует изменения формата бинлога, что нужно тестировать и небыстро.
  * RULES-3100: Убрал select for update из всех регулярных команд, не использующих ввод пользователя
  * RULES-3100: Используем gap-lock при запросе роли через фронтэнд или API

  [ Andrey Bulgakov ]
  * RULES-3123 Используем mptt для поиска поддерева
  * RULES-3116 Одинаковое название required у поля при добавлении и отображении
  * RULES-3123 Индекс на slug_path

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 28 Mar 2016 13:33:58 +0300

yandex-tools-idm (0.92.14) testing; urgency=low

  [ Alexey Boriskin ]
  * Revert "RULES-3100: Понижение уровня изоляции транзакций до READ COMMITTED": Изменение уровня изоляции транзакций требует изменения формата бинлога, что нужно тестировать и небыстро.
  * RULES-3100: Убрал select for update из всех регулярных команд, не использующих ввод пользователя
  * RULES-3100: Используем gap-lock при запросе роли через фронтэнд или API

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 25 Mar 2016 17:16:19 +0300

yandex-tools-idm (0.92.13) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3100: Меньше ненужных сохранений
  * RULES-3100: Дедлоки при запросе роли
  * RULES-3100: Понижение уровня изоляции транзакций до READ COMMITTED

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 25 Mar 2016 14:43:44 +0300

yandex-tools-idm (0.92.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3129: Из-за ошибки в crontab выключился cron

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 23 Mar 2016 19:25:44 +0300

yandex-tools-idm (0.92.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3049: Обернул команду в транзакцию

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 23 Mar 2016 17:41:30 +0300

yandex-tools-idm (0.92.10) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-3049: fix roles depriving

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 23 Mar 2016 17:17:48 +0300

yandex-tools-idm (0.92.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3118: Пользователю с атрибутом is_staff стало нельзя попасть в админку
  * RULES-3122: Обновить yauth
  * RULES-3120: Меньше ненужных сохранений
  * RULES-3120: Обновляем только необходимые поля
  * RULES-3120: Сделать транзакции более атомарными при синхронизации
  * RULES-3120: Обновление django-idm-api до 2.2, чтобы при выдаче ролей у пользователей обновлялись только поля is_staff и is_superuser

  [ Mikhail Polykovskij ]
  * RULES-3049: Не отзываем роли у удаленных групп

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 23 Mar 2016 16:44:41 +0300

yandex-tools-idm (0.92.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3108: Увеличить лимит на странице систем до 200
  * RULES-2726: Некорректная история подтверждений-3

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Mar 2016 16:34:24 +0300

yandex-tools-idm (0.92.7) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2726: Некорректная история подтверждения

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Mar 2016 10:07:09 +0300

yandex-tools-idm (0.92.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3026: Политика работы с неконсистентностями у систем
  * RULES-3026: Реордеринг миграций

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Mar 2016 09:51:31 +0300

yandex-tools-idm (0.92.5) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2726: Некорректная история подтверждения

  [ Alexey Boriskin ]
  * RULES-3081: Игнорировать подтверждающих при прогоне воркфлоу при форсированном импорте ролей
  * RULES-2841: Заменил AccessDenied на отсутствие аппруверов
  * RULES-2841: Добавил строчку про невидимость связанных ролей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 Mar 2016 16:59:09 +0300

yandex-tools-idm (0.92.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-1999: Неверная строка форматирования для лога

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 16 Mar 2016 16:55:52 +0300

yandex-tools-idm (0.92.3) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-3064: Роль "Редактор дерева ролей" не дает зайти на видимую вкладку "Управление ролями" - 403

  [ Alexey Boriskin ]
  * RULES-2841: Написать правильный воркфлоу для CAuth
  * RULES-3044: Добавить фильтрацию по системе в команду idm_add_users_to_ad_groups
  * RULES-3070: Саджест внутренних ролей работает неправильно для суперпользователей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 15 Mar 2016 23:13:14 +0300

yandex-tools-idm (0.92.2) testing; urgency=low

  * RULES-3045: Убрать из /meta права и число запросов на подтверждение
  * RULES-3051: Убрать сохранение новый ревизий в reversion
  * RULES-1647: фикс миграции
  * RULES-1647: не отдает роли без пользователей в get_all_roles

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 11 Mar 2016 21:58:06 +0300

yandex-tools-idm (0.92.1) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-1647: фикс отзыва некорректной роли
  * RULES-3025: Закрасить экран splunk

  [ Alexey Boriskin ]
  * RULES-3047: Восстановил возможность запуска тестов локально на MySQL
  * RULES-3047: При запуске тестов на MySQL некоторые из них падают
  * RULES-2987: Сделать NodeWrapper для воркфлоу

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 11 Mar 2016 13:52:04 +0300

yandex-tools-idm (0.92.0-1) testing; urgency=low

  * Пересборка

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 10 Mar 2016 16:46:43 +0300

yandex-tools-idm (0.92.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2853: Перестать использовать is_superuser в логике бека
  * RULES-2834: Кастомные валидаторы для полей роли

  [ Alexey Boriskin ]
  * RULES-1999: Добавить стейт imported для ролей, созданных по неконсистентности
  * RULES-2211: Работа над ошибками
  * RULES-2960: Ручка саджеста дублирует узлы
  * RULES-3001: Делать rehash только для нужных нод
  * RULES-2853: Meta-миграция из-за изменения структуры пермишенов
  * RULES-2691: Добавил дополнительную проверку в тесте
  * RULES-2691: Добавил метод для получения имени системы на нужном языке
  * RULES-2691: Убрал все обращения к role.info
  * RULES-2691: Возвращаем при переходе созданный action
  * RULES-2691: create_approve_request принимает action
  * RULES-2691: Фильтрация cc на тестинге
  * RULES-2691: Новая логика проставления email_cc
  * RULES-2691: Отправлять уведомления на рассылку
  * RULES-2691: Миграция
  * RULES-2832: Запустить пересмотр ролей в OEBS
  * RULES-2832: Запустить пересмотр ролей в OEBS: фикс

  [ Alex Koshelev ]
  * RULES-2966: Отфильтровывать наборы скрытых ролей
  * RULES-2843: Саджест internal ролей для фильтра
  * RULES-2844: Поддержать фильтр по internal роли в ручке ролей
  * RULES-3013: Поменять брокер  Celery
  * RULES-1647: Наведение порядка во внутренних ролях Управлятора
  * RULES-2859: Ручка /permissions в API
  * RULES-2941: Оптимизировать нашу get_all_roles

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 10 Mar 2016 16:26:22 +0300

yandex-tools-idm (0.91.13) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2832: Запустить пересмотр ролей в OEBS: фикс

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 09 Mar 2016 18:42:55 +0300

yandex-tools-idm (0.91.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2832: Запустить пересмотр ролей в OEBS

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 09 Mar 2016 18:09:37 +0300

yandex-tools-idm (0.91.11) testing; urgency=low

  * RULES-3013: Поменять брокер  Celery

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 03 Mar 2016 16:51:33 +0300

yandex-tools-idm (0.91.10-1) testing; urgency=low

  * Убрал лишние миграции

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 01 Mar 2016 17:49:26 +0300

yandex-tools-idm (0.91.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-3001: Делать rehash только для нужных нод

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 01 Mar 2016 17:44:26 +0300

yandex-tools-idm (0.91.9) stable; urgency=low

  * RULES-2972: фикс миграции

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 26 Feb 2016 13:16:22 +0300

yandex-tools-idm (0.91.8) stable; urgency=low

  [ Alex Koshelev ]
  * RULES-2972: Смигрировать системные роли Управлятора

  [ Alexey Boriskin ]
  * RULES-2643: Управление уведомлениями для CAuth: применил миграцию заново

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 25 Feb 2016 17:53:13 +0300

yandex-tools-idm (0.91.7) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2884: Локализовать название системы
  * RULES-2929: Не показывать подтверждающих при запросе подтверждающим
  * RULES-2840: Запрос связанной роли с visibility=false
  * RULES-2909: Сделать возможность отключать перезапрос ролей системы при смене подразделения
  * RULES-2120: Запрос роли для подтверждающего создает запрос
  * RULES-2917: Разрешить редактировать workflow
  * RULES-2956: Для роли в статусе review_request не должно быть поля Будет перезапрошена

  [ Andrey Bulgakov ]
  * RULES-2889 Batch-ресурс

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 19 Feb 2016 15:40:26 +0300

yandex-tools-idm (0.91.6) testing; urgency=low

  * RULES-2910: вернул пока поля в саджест

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 11 Feb 2016 18:57:47 +0300

yandex-tools-idm (0.91.5) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-2914: Перестали автоматически разрешаться неконсистентности для тестовой системы

  [ Mikhail Polykovskij ]
  * RULES-2913: Неправильно выводится время пересмотра роли
  * RULES-2910: Прокидывать полные данные о полях в /rolerequestfields/

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 11 Feb 2016 17:31:31 +0300

yandex-tools-idm (0.91.4) testing; urgency=low

  [ Alex Koshelev ]
  *  RULES-2152: фикс миграции internal role

  [ Mikhail Polykovskij ]
  * RULES-2835: невидимые роли быстрофикс

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 10 Feb 2016 14:06:44 +0300

yandex-tools-idm (0.91.3) testing; urgency=low

  * RULES-2152: фикс названия поля в миграции

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 09 Feb 2016 23:12:42 +0300

yandex-tools-idm (0.91.2) testing; urgency=low

  * RULES-2152: фикс миграций и админки

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 09 Feb 2016 23:07:41 +0300

yandex-tools-idm (0.91.1) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2877: Отдавать в ручку для карточки роли поля про временную роль

  [ Alex Koshelev ]
  * RULES-2152: Проверка прав доступа через дерево

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 09 Feb 2016 22:47:45 +0300

yandex-tools-idm (0.91.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2869: Шлем уведомления по отозванным ролям
  * releasing version 0.89.13
  * RULES-2886: Допереименовать rolenodegroup в set
  * RULES-2886: Миграции
  * RULES-2900: Отправляем некорректные уведомления
  * RULES-2900: Убрал дубликат теста
  * RULES-2900: Отправляем некорректные уведомления
  * RULES-2900: Убрал дубликат теста
  * RULES-2836: Удалил AbstractSystemRole
  * RULES-1875: Проверять пользователей в блоке тестирования Workflow
  * RULES-2836: Управление уведомлениями для апруверов
  * RULES-2836: Война с __repr__
  * RULES-2836: Миграция для Meta

  [ Mikhail Polykovskij ]
  * RULES-2835: невидимые роли не отображаются в таблице
  * RULES-2835: невидимые роли не отображаются в саджесте
  * RULES-2835: невидимые роли нельзя запросить из интерфейса
  * RULES-2835: про невидимые роли не высылаются письма
  * RULES-2835: невидимые роли не пересматриваются
  * RULES-2835: невидимые роли не пересматриваются при смене подразделения
  * RULES-2835: невидимые роли может запрашивать только пользователь с правом request_system_roles
  * RULES-2835: невидимые роли нельзя запросить при наличии подтверждающих в workflow
  * RULES-2895: Убрать поле requester из rolerequest
  * RULES-2538: Поле запрещающее редактировать дерево ролей у системы через API

  [ Andrey Bulgakov ]
  * RULES-2671 Сортировка по алиасам во frontend-api

  [ Alex Koshelev ]
  * RULES-2836: фикс миграций

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 09 Feb 2016 15:25:41 +0300

yandex-tools-idm (0.90.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2894: Демаскировать исключение

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 04 Feb 2016 15:24:01 +0300

yandex-tools-idm (0.90.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2211: Попробовать смигрировать историю изменений деревьев ролей
  * RULES-2739: Фикс для пользователей 32-битных систем
  * RULES-2869: Шлем уведомления по отозванным ролям
  * RULES-2874: Странности в саджесте по rolestate
  * RULES-2881: Не отзывается роль

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 03 Feb 2016 17:58:44 +0300

yandex-tools-idm (0.90.1) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2821: additional logging
  * RULES-2862: Убрать caplog в тестах
  * RULES-2816: Слетает visibility при редактировании роли через api
  * RULES-2739: stabilize test
  * RULES-2838: Фильтр по типу роли в ручке ролей
  * RULES-2739: fix mptt procedures

  [ Alex Koshelev ]
  * Апдейт сборки
  * Апдейт зависимостей

  [ Alexey Boriskin ]
  * RULES-2821: Поправил падающие тесты
  * RULES-2739: Поправил падающие тесты
  * Заигнорировал временную папку pytest
  * RULES-2770: Привести в соответствие таблицу AD-групп и таблицу ролей OEBS
  * Заменил вызов на pillow-совместимый в рамках озеленения тестов
  * RULES-2770: Забытая миграция

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Fri, 29 Jan 2016 11:40:09 +0300

yandex-tools-idm (0.90.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2739: Ускорить обновление дерева ролей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 25 Jan 2016 19:38:01 +0300

yandex-tools-idm (0.89.14) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2900: Отправляем некорректные уведомления
  * RULES-2900: Убрал дубликат теста

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 05 Feb 2016 16:22:38 +0300

yandex-tools-idm (0.89.13) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2869: Шлем уведомления по отозванным ролям

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 29 Jan 2016 14:52:23 +0300

yandex-tools-idm (0.89.12) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-2828: Неправильно определяем руководителя у руководителей

  [ Alexey Boriskin ]
  * RULES-2833: Не разрешаются неконсистентности

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 22 Jan 2016 19:54:03 +0300

yandex-tools-idm (0.89.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2822: При ответе testapi ловим только CommandError

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 21 Jan 2016 17:31:32 +0300

yandex-tools-idm (0.89.10) testing; urgency=low

  [ Alex Koshelev ]
  * Фикс зависимостей и апдейт версий

  [ Alexey Boriskin ]
  * RULES-2815: Добавить опцию синхронного запуска команды синхронизации групп
  * RULES-2815: Удалил опцию асинхронного запуска команд в testapi

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 20 Jan 2016 16:56:07 +0300

yandex-tools-idm (0.89.9) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2813: Добавить sqlparse в зависимости

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 19 Jan 2016 16:38:59 +0300

yandex-tools-idm (0.89.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2793: Увеличить количество воркеров
  * RULES-2797: Не проставляется признак sid=67 пользователю
  * RULES-2795: Ускорить выдачу ручки для вьюверов
  * RULES-2788: Починил упавший тест
  * RULES-2788: Расставил try/except, чтобы синхронизация не ломалась, если что-то не так с переводом ролей в need_request
  * RULES-2808: Не нужно пытаться отозвать в связи с протуханием связанные роли
  * RULES-2805: Ошибки Column 'last_login' cannot be null при создании пользователя
  * RULES-2811: Добавить сортировку в api
  * RULES-2788: Убрал try/except обёртки вокруг сигналов
  * RULES-2806: Ошибки синхронизации дерева ролей Управлятора в тестинге

  [ Mikhail Polykovskij ]
  * RULES-2788: improve logging

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 19 Jan 2016 16:13:04 +0300

yandex-tools-idm (0.89.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2786: Сделать полегче проверку прав для запросов в api за ролями системы
  * RULES-2789: Нужно обернуть manage.py-команды в @atomic, select_for_update должен быть выполнен внутри транзакции
  * RULES-2788: Роль не переходит в need_request
  * RULES-2682: Не отдавать фронтэнду данные о возможном отзыве/перезапросе, если система сломана

  [ Mikhail Polykovskij ]
  * RULES-2790: Поправить тесты workflow

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 14 Jan 2016 16:03:30 +0300

yandex-tools-idm (0.89.6) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2697: Не работает синхронизация набора нод
  * RULES-2633: Вынес проверку на то, что роль может быть автоматически подтверждена, если будет запрошена тем же пользователем, который запрашивал её в прошлый раз, в отдельную функцию
  * RULES-2633: Добавил системе метод is_operational(), означающий активность и несломанность, и использовал его везде, куда смог дотянуться
  * RULES-2633: Стиль в center.py
  * RULES-2626: Писать правильный комментарий о причине перезапроса
  * RULES-2633: Добавил метод ask_rerequest и использовал его для перезапроса групповых ролей
  * RULES-2633: Переименовал метод и убрал тесты, касающиеся пересмотра ролей
  * RULES-2633: Убрать старую логику перезапроса ролей при смене подразделения
  * RULES-2763: Не отсылаем письма про оставшиеся подтверждения из-за Connection Refused
  * RULES-2764: Не работает отправка писем с длинными паролями
  * RULES-2769: Показываем в интерфейсе пароли
  * RULES-2769: Поправил код так, чтобы тесты не падали и сохранялось предыдущее поведение
  * RULES-2634: Перенёс функцию is_user_absent в idm/sync/gap
  * RULES-2634: Перенёс функцию service_is_readonly в idm/utils/replication
  * RULES-2634: Перенёс функции по работе с ченджлогом в idm/utils/changelog
  * RULES-2771: Починить страницу /changelog
  * RULES-2634: Перенёс функции по генерации diff-ов в idm/utils/diff
  * RULES-2634: Перенёс функции, вычищающие из данных пароли, в idm/utils/cleansing
  * RULES-2634: Перенёс функцию normalize_ad_group в idm/utils/ldap
  * RULES-2634: Перенёс пару уродливых функций в idm/views, где они используются
  * RULES-2634: Заменил make_local на localtime
  * RULES-2634: Радикально почистил idm/utils, оставил там только min_with_none, reverse и json
  * RULES-2634: Добавил функцию, аналогичную get_object_or_404, но фейлящую задачу при неуспехе
  * RULES-2634: Использовал в задачах функцию get_object_or_fail_task и расставил в нужных местах transaction.atomic
  * RULES-2634: Проверять состояние роли перед действием
  * RULES-2634: Добавил опцию for_update к методу get_object_or_fail_task
  * RULES-2634: Начал проставлять атрибут for_update и использовать флаг for_update = True
  * RULES-2634: Проставил в соответствующих местах кода select_for_update()
  * RULES-2634: Поправил падающие тесты, местами отрефакторил тесты
  * RULES-2634: Уменьшил количество блокируемых при подтверждении/отклонении ApproveRequest-а объектов
  * RULES-2772: Поправить опечатку в узле дерева ролей
  * RULES-2746: Ломаются системы в продакшне (Стафф, Кондуктор, BACKA, Видеоплатформа)
  * RULES-2634: Поправил падающий на MySQL тест

  [ Mikhail Polykovskij ]
  * RULES-2744: Валидация нод при добавлении через API
  * RULES-2761: Добавить --force в idm_subscribe_passport_logins
  * RULES-1989: Внести конфликты ролей в OEBS

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 13 Jan 2016 16:46:18 +0300

yandex-tools-idm (0.89.5) testing; urgency=low

  [ Alexey Boriskin ]
  * Поправил падающие тесты
  * RULES-2745: При обновлении дерева ролей сохраняем неправильную версию choices

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 22 Dec 2015 16:08:01 +0300

yandex-tools-idm (0.89.4) testing; urgency=low

  [ Alexey Boriskin ]
  * Обновил django-mptt, чтобы не конфликтовать с пакетом south

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 Dec 2015 20:46:53 +0300

yandex-tools-idm (0.89.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2733: Создать wsgi.py для обновления до Django 1.8

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 Dec 2015 18:35:45 +0300

yandex-tools-idm (0.89.2) testing; urgency=low

  [ Alexey Boriskin ]
  * Отключил создание guardian-ом анонимного пользователя

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 Dec 2015 17:48:49 +0300

yandex-tools-idm (0.89.1) testing; urgency=low

  [ Alex Koshelev ]
  * Фикс зависимости от libcurl

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 Dec 2015 17:34:23 +0300

yandex-tools-idm (0.89.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2621: Не дает запрашивать роль
  * releasing version 0.87.31
  * RULES-1834: Поправил тесты, которые падали из-за проблем с permission-ами
  * RULES-2637: Убрал дублирование в тестах
  * RULES-2637: Не выдавать персональные роли повторно
  * RULES-2569: Удалил забытый print
  * RULES-2569: Поправил миграцию
  * RULES-2635: Миграция для удаления двойных запросов
  * RULES-2717: Отзываем перезапрошенные роли в Стаффе
  * RULES-2717: Немного привёл в порядок работу с неконсистентностями вне приложения inconsistencies
  * RULES-2717: Удалил несколько проверок на заведённость роли по неконсистентности, добавил тест. Проверки находились в переходах из requested->approved, approved->granted, requested->declined, в которые никогда не попадает роль, заведённая по неконсистентности, так как она не бывает в состояниях requested и approved.
  * RULES-2688: Закопать /me/expire и /user/<login>/expire
  * RULES-2717: Поправил падающий тест
  * RULES-2279: Неправильные причины запроса роли
  * Fabfile edits

  [ Mikhail Polykovskij ]
  * RULES-1824: Переезд на Django 1.8
  * RULES-1824: миграции
  * RULES-1824: remove south migrations
  * RULES-1824: create view in tests
  * RULES-2569: Новое состояние для роли: система уведомлена
  * RULES-2498: Унести перезапросы в новый интерфейс
  * RULES-2491: Убрать костыль Бункера

  [ Alex Koshelev ]
  * Фикс сборочных зависимостей

  [ Alexey Boriskin (uruz) ]

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 Dec 2015 17:16:35 +0300

yandex-tools-idm (0.88.23) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2788: Роль не переходит в need_request

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 19 Jan 2016 19:24:42 +0300

yandex-tools-idm (0.88.22) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2795: Ускорить выдачу ручки для вьюверов

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 15 Jan 2016 18:40:27 +0300

yandex-tools-idm (0.88.21) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2793: Увеличить количество воркеров

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 14 Jan 2016 21:23:04 +0300

yandex-tools-idm (0.88.20) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2786: Сделать полегче проверку прав для запросов в api за ролями системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 14 Jan 2016 17:29:24 +0300

yandex-tools-idm (0.88.19) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2763: Не отсылаем письма про оставшиеся подтверждения из-за Connection Refused
  * RULES-2764: Не работает отправка писем с длинными паролями

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 30 Dec 2015 12:37:45 +0300

yandex-tools-idm (0.88.18) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2717: Отзываем перезапрошенные роли в Стаффе
  * RULES-2717: Немного привёл в порядок работу с неконсистентностями вне приложения inconsistencies
  * RULES-2717: Удалил несколько проверок на заведённость роли по неконсистентности, добавил тест. Проверки находились в переходах из requested->approved, approved->granted, requested->declined, в которые никогда не попадает роль, заведённая по неконсистентности, так как она не бывает в состояниях requested и approved.

  [ Alex Koshelev ]
  * Фикс сборочных зависимостей
  * Фикс зависимости от libcurl

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 22 Dec 2015 16:46:18 +0300

yandex-tools-idm (0.88.17) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2705: Исправил опечатки
  * RULES-2700: Не учитывать групповые роли при поиске неконсистентностей для unaware-систем
  * RULES-2705: Пятисотит экран неконсистентностей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 11 Dec 2015 17:33:53 +0300

yandex-tools-idm (0.88.16) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2693: Стиль тестов на сломанную систему
  * RULES-2693: Плохое сообщение о сломанной системе
  * RULES-2694: Механизм разрешения неконсистентностей работает даже если превышен лимит неконсистентностей для системы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 10 Dec 2015 15:24:17 +0300

yandex-tools-idm (0.88.15) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2689: При запросе роли выводить ошибки введённых пользователем данных в подсловаре fields_data словаря errors
  * RULES-2636: Проверять состояние запроса перед подтверждением
  * RULES-2692: Не создаются неконсистентности
  * RULES-2692: Ускорение генерации письма с отчётом
  * RULES-2687: Можно запросить временную роль на вчерашнюю дату

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 09 Dec 2015 18:08:47 +0300

yandex-tools-idm (0.88.14) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2678: Обновить переводы
  * RULES-2678: Обновить переводы - compiled files

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Tue, 08 Dec 2015 11:51:42 +0300

yandex-tools-idm (0.88.13) testing; urgency=low

  [ Alexey Boriskin ]
    RULES-2517: Доработка неконсистентностей

  [ Mikhail Polykovskij ]
  * RULES-2619: Если не найден ресурс в API, то 404-я страница возвращает текст, а не json
  * RULES-2651: Отдавать данные о сроке действия роли в форму запроса strike back

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 07 Dec 2015 17:38:53 +0300

yandex-tools-idm (0.88.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2518: Получение детей ноды через прямой запрос через parent
  * RULES-2518: Не запрашивается роль для Бункер/powny-www
  * RULES-2518: Добавил опцию dry-run
  * RULES-2518: Отфильтровываем удалённые узлы
  * RULES-2557: Не работает воркфлоу в тестинге
  * RULES-2568: Сломалась синхронизация стаффовых групп
  * RULES-2572: Использовать явную сортировку по _id в синхронизации Стаффа
  * RULES-2590: Предотвращающая двойную отправку данных в систему логика не должна учитывать неактивные роли
  * RULES-2591: При переводе внутри большого подразделения нужно сохранять персональную роль, выданную по групповой
  * RULES-2595: Иногда при синхронизации групп нет общего предка
  * RULES-2595: Иногда при синхронизации групп нет общего предка
  * RULES-2591: При переводе внутри большого подразделения нужно сохранять персональную роль, выданную по групповой
  * RULES-2617: Принимать choices полей в формате value/name
  * RULES-2621: Не дает запрашивать роль

  [ Alex Koshelev ]
  * Таска deploy-local для fabric

  [ Mikhail Polykovskij ]
  * RULES-1824: Переезд на Django 1.8
  * RULES-2618: API v1 не проверяет OAuth-токен
  * RULES-2640: Наведение порядка в репозитории
  * RULES-2598: Обрабатывать в /rolerequest поля временной роли
  * RULES-2588: Отдавать данные о сроке действия роли в форму запроса

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Fri, 04 Dec 2015 13:25:05 +0300

yandex-tools-idm (0.88.11) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2086: Прокинуть в testapi ручки systems и workflow
  * RULES-2560: Не приходят отчеты в тестинге
  * RULES-2560: fix tests
  * RULES-2232: Проверять паспортный логин в большом паспорте при создании
  * RULES-2586: Добавить в v1/rolenodes двухфакторную авторизацию
  * RULES-2592: Не выводить в v1/rolenodes неактивные ноды

  [ Alex Koshelev ]
  * Таска deploy-local для fabric
  * RULES-2567: Передавать в ручке про человека id его департаментной группы

  [ Alexey Boriskin ]
  * RULES-2572: Использовать явную сортировку по _id в синхронизации Стаффа
  * RULES-2568: Сломалась синхронизация стаффовых групп
  * RULES-2590: Предотвращающая двойную отправку данных в систему логика не должна учитывать неактивные роли
  * RULES-2571: Ошибка в саджесте ролей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 26 Nov 2015 15:30:12 +0300

yandex-tools-idm (0.88.10) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2376: Ручки add-role, remove-role научить работать с группами
  * RULES-2531: Перевёл choicefield_with_other на choicefield + options.custom
  * RULES-2531: Переделал отдачу choices для фронтэнда
  * RULES-2545: Расширить длину поля plugin_type
  * RULES-2549: Поправить падающие тесты
  * RULES-2549: Отрефакторил тесты LDAP
  * RULES-2557: Не работает воркфлоу в тестинге

  [ Alex Koshelev ]
  * RULES-2553: Учитывать переданный type_filter при отдаче данных о роли
  * RULES-2554: Проверять в ручке permissions групповую политику

  [ Mikhail Polykovskij ]
  * RULES-2533: Разобраться с переводами в Танкере

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 20 Nov 2015 10:29:29 +0300

yandex-tools-idm (0.88.9) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-1798: фикс тестов

  [ Alexey Boriskin ]
  * RULES-2518: Тест на корректную склейку результатов next-url. Дело оказалось не в этом, но тест полезный, как мне кажется.
  * RULES-2518: Получение детей ноды через прямой запрос через parent
  * RULES-2518: Не запрашивается роль для Бункер/powny-www
  * RULES-2518: Добавил опцию dry-run
  * RULES-2518: Отфильтровываем удалённые узлы

  [ Mikhail Polykovskij ]
  * RULES-2017: Избавиться от слова 'доступ' на беке
  * RULES-2329: Убить поле пользователя is_werewolf
  * RULES-2521: Ошибка KeyError в получении rolerequests
  * RULES-2440: Публичное API над узлами дерева ролей
  * RULES-2521: fix tests

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 13 Nov 2015 17:26:35 +0300

yandex-tools-idm (0.88.8) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2508: Локализация полей в клиентском API
  * RULES-2508: Добавил методов для сериализации узлов, полей и синонимов как в /info/
  * RULES-2378: Миграция, добавляющая поле 'dependencies' для полей узла дерева ролей

  [ Alex Koshelev ]
  * RULES-1798: Добавить dumb плагин для систем без API

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 09 Nov 2015 02:01:05 +0300

yandex-tools-idm (0.88.7) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-2457: фикс тестов
  * RULES-2360: ещё оптимизация выборки экшенов
  * RULES-2005: дефолтное значение для переменной CELERY_ALWAYS_EAGER
  * RULES-2360: фильтрация объектов с учетом прав через подзапрос

  [ Alexey Boriskin ]
  * RULES-2005: Починил тесты при запуске с MySQL
  * RULES-2360: Починил падавшие на MySQL тесты
  * RULES-2502: Добавить в API фронтэнда информацию о том, может ли поле быть заполнено для всех
  * RULES-2503: При задании id группы узлов очередь изменений должна быть пустой. RULES-2504: Переименовать RoleNodeGroup в RoleNodeSet
  * RULES-2378: Зависимые поля ролей
  * RULES-2374: Добавляю синонимы в API для фронтэнда

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Sat, 07 Nov 2015 01:28:08 +0300

yandex-tools-idm (0.88.6) testing; urgency=low

  * RULES-2483: Добавить поле on_page для карточки действия
  * RULES-2457: Ресурс проверки прав для запроса роли

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 02 Nov 2015 20:24:17 +0300

yandex-tools-idm (0.88.5) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2398: Ошибка в саджесте сотрудников
  * releasing version 0.87.23

  [ Mikhail Polykovskij ]
  * RULES-826: Отчеты в формате xls

  [ Alexey Boriskin ]
  * RULES-2360: Поправил падающий тест
  * RULES-2425: В коммите этом кода стиль Йоды магистра убрал я
  * RULES-2425: Отправлять запрос всем при пересмотрах
  * RULES-2430: Починить обработку доктестов

  [ Alexander Koshelev ]
  * Revert "RULES-2425: Отправлять запрос всем при пересмотрах"

  [ Alexey Boriskin ]
  * RULES-2425: В коммите этом кода стиль Йоды магистра убрал я
  * RULES-2425: Отправлять запрос всем при пересмотрах
  * RULES-2422: Сообщения об ошибках при отправке формы
  * RULES-2377: Кастомные типы полей
  * RULES-2377: Поправил тесты, которые стали падать из-за новой валидации данных
  * RULES-2377: Миграция
  * RULES-2374: Добавить алиасы в клиентское API

  [ Mikhail Polykovskij ]
  * RULES-2448: Ручка действий: не прилетают данные для связанных полей

  [ Alexey Boriskin ]
  * RULES-2372: Группировка ролей

  [ Mikhail Polykovskij ]
  * RULES-2005: Отказаться от django-celery

  [ Alex Koshelev ]
  * RULES-2449: Переименовать поле фильтра actions в action для отчета по действиям
  * RULES-2455: Избавится от поля can_request_role_for с саджесте
  * RULES-2456: Удалить ресурс AvailableSystemsSuggestResource

  [ Alexey Boriskin ]
  * RULES-2453: Не выдалась роль при запросе одним из аппруверов: выключаю сломанную команду. Refs RULES-2400
  * RULES-2467: Создавать честные approverequest по количеству подтверждений
  * RULES-2470: Дублирование ролей
  * RULES-2468: Если роль запрашивается на группу, но не ответственным этой группы, то она не должна автоматически подтверждаться

  [ Mikhail Polykovskij ]
  * RULES-1502: Излишнее блокирование
  * RULES-2462: Доработать фильтрацию action'ов
  * RULES-2450: Удалить ненужную таблицу UserDepartmentChange

  [ Alexey Boriskin ]
  * RULES-2292: Перезапрос подвисших ролей
  * RULES-2430: Починить обработку доктестов
  * RULES-2453: Не выдалась роль при запросе одним из аппруверов: выключаю сломанную команду. Refs RULES-2400
  * RULES-2468: Если роль запрашивается на группу, но не ответственным этой группы, то она не должна автоматически подтверждаться
  * RULES-2444: Использовать новые фичи API системы в дереве ролей Управлятора
  * RULES-2444: Добавил инлайнов и blank=True, чтобы сделать админку узлов более удобной
  * RULES-2470: Дублирование ролей. Перенёс код в manage.py-команду, чтобы включить задачу в хотфикс
  * RULES-2470: Дублирование ролей. Перенёс код в manage.py-команду, чтобы включить задачу в хотфикс
  * releasing version 0.87.24

  [ Alex Koshelev ]
  * RULES-2005: Новая запускалка для celery
  * RULES-2360: более хитрая дегидрация для related полей
  * RULES-2360: select_related только для list экшенов

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 30 Oct 2015 19:56:51 +0300

yandex-tools-idm (0.88.4) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2431: Удалить ручку role и ресурс OldRole из API v1

  [ Mikhail Polykovskij ]
  * RULES-2245: Обновить django-dbtemplates
  * RULES-2360: Доработка api ручки экшенов

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 19 Oct 2015 15:33:19 +0300

yandex-tools-idm (0.88.3) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2331: Вернуть правильную дату обновления ролей
  * RULES-2367: Поправил падавшие тесты
  * RULES-2286: Переделал и subject на full_name
  * RULES-2398: Ошибка в саджесте сотрудников

  [ Mikhail Polykovskij ]
  * RULES-2306: Привести передачу ролей к одному виду
  * RULES-2369: Связать объекты Workflow через parent

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Thu, 15 Oct 2015 15:03:38 +0300

yandex-tools-idm (0.88.2) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2286: Убрать fullname из user в ручках
  * RULES-2408: Человекочитаемое описание неконсистентности
  * RULES-2366: Смигрировать экшен resolve
  * RULES-2367: Убрать system_slug из экшена started_sync_with_system

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 08 Oct 2015 17:44:54 +0300

yandex-tools-idm (0.88.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2373: Саджест должен учитывать RoleNodeAlias
  * RULES-2395: Ошибки при попытке выдать связанную роль
  * RULES-2292: Перезапрос подвисших ролей

  [ Mikhail Polykovskij ]
  * RULES-2324: Добавить полей в action
  * RULES-2406: Вернуть фильтр по роли в /actions

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 07 Oct 2015 07:45:44 +0300

yandex-tools-idm (0.88.0) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2244: Обновить django-ajax-selects
  * RULES-2243: Обновить django-guardian
  * RULES-2326: Внести notification в upravlyator
  * RULES-2358: Свести api ручки actions и reports в одну

  [ Alexey Boriskin ]
  * RULES-2326: Поправил путь для patterns

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 06 Oct 2015 10:25:23 +0300

yandex-tools-idm (0.87.31) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2621: Не дает запрашивать роль

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 03 Dec 2015 13:57:51 +0300

yandex-tools-idm (0.87.30) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2595: Иногда при синхронизации групп нет общего предка
  * RULES-2591: При переводе внутри большого подразделения нужно сохранять персональную роль, выданную по групповой

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 30 Nov 2015 15:18:19 +0300

yandex-tools-idm (0.87.29) stable; urgency=low

  [ Alexey Boriskin ]
  * RULES-2590: Предотвращающая двойную отправку данных в систему логика не должна учитывать неактивные роли
  * Fabfile edits

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Nov 2015 19:36:42 +0300

yandex-tools-idm (0.87.28-1) stable; urgency=low

  * пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 Nov 2015 15:28:35 +0300

yandex-tools-idm (0.87.28) hotfix; urgency=low

  [ Alexey Boriskin ]
  * RULES-2557: Не работает воркфлоу в тестинге
  * RULES-2568: Сломалась синхронизация стаффовых групп
  * RULES-2572: Использовать явную сортировку по _id в синхронизации Стаффа

  [ Alex Koshelev ]
  * Таска deploy-local для fabric

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 24 Nov 2015 14:25:29 +0300

yandex-tools-idm (0.87.27) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2518: Отфильтровываем удалённые узлы

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 12 Nov 2015 15:05:46 +0300

yandex-tools-idm (0.87.26) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2518: Добавил опцию dry-run

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 12 Nov 2015 13:36:39 +0300

yandex-tools-idm (0.87.25) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2518: Получение детей ноды через прямой запрос через parent
  * RULES-2518: Не запрашивается роль для Бункер/powny-www

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 12 Nov 2015 11:29:06 +0300

yandex-tools-idm (0.87.24) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2292: Перезапрос подвисших ролей
  * RULES-2430: Починить обработку доктестов
  * RULES-2453: Не выдалась роль при запросе одним из аппруверов: выключаю сломанную команду. Refs RULES-2400
  * RULES-2468: Если роль запрашивается на группу, но не ответственным этой группы, то она не должна автоматически подтверждаться
  * RULES-2470: Дублирование ролей. Перенёс код в manage.py-команду, чтобы включить задачу в хотфикс

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 30 Oct 2015 14:47:03 +0300

yandex-tools-idm (0.87.23) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2398: Ошибка в саджесте сотрудников

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 09 Oct 2015 14:36:34 +0300

yandex-tools-idm (0.87.22) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2385: Не отзывается связанная роль

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Oct 2015 17:58:24 +0300

yandex-tools-idm (0.87.21) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2281: Поправил запрос, добавил логгирования

  [ Alex Koshelev ]
  * RULES-2304: отдельная очередь для синхронизации дерева ролей

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Oct 2015 16:56:21 +0300

yandex-tools-idm (0.87.20) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2320: Показывать больше, чем 100 байтов ответа системы. Также изменил и протестировал обработку ответов систем
  * RULES-1966: Добавил опцию notify_everyone, которая шлёт письма всем подтверждающим. Опцию check_gaps модифицировал так, что она отсылает письма первому подтверждающему в каждой ИЛИ-группе, вне зависимости от наличия/отсутствия
  * RULES-2363: Не добавляются пользователи в AD
  * RULES-2363: Причесал и переименовал manage.py-команду normalize_ad_groups, добавил тест
  * RULES-1966: Добавил проверку, что если в или-группе все отсутствуют на месте, то шлём всем в этой или-группе
  * RULES-1966: Уточнил комментарий
  * RULES-2281: Перенёс менеджер в отдельный файл
  * RULES-2281: Убрал функцию, использовавшуюся в одном месте
  * RULES-2281: Удалил ещё несколько функций и файл
  * RULES-2281: Отрефакторил тесты неконсистентностей
  * RULES-2281: Убрал префикс u у строк
  * RULES-2281: Дублирование ролей
  * RULES-2281: Добавил миграцию, отзывающую дублирующиеся роли
  * RULES-1779: Поправил упавший тест
  * RULES-2188: Пропадает комментарий при отзыве
  * RULES-2321: Не разрешать запрашивать роли на нелистовые узлы дерева ролей

  [ Mikhail Polykovskij ]
  * RULES-1779: Расширить письмо про паспортный логин - ссылка на восстановление

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 01 Oct 2015 14:58:18 +0300

yandex-tools-idm (0.87.19) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2313: Отписывать логины без активных ролей
  * RULES-2290: Ошибка в сборе паспортных логинов
  * RULES-2297: Не осуществлять сверку неактивных систем

  [ Alexey Boriskin ]
  * RULES-2303: Выводить data для неизвестной роли
  * RULES-2312: Прокидывать инициатора синхронизации дерева ролей везде
  * RULES-2145: В саджесте не находилсяся пользователь дефисом в username в поиске по subject-ам
  * RULES-2307: Больше логинга при синхронизации дерева ролей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 24 Sep 2015 17:49:10 +0300

yandex-tools-idm (0.87.18) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2301: Падает синхронизация при неизвестной роли

  [ Alex Koshelev ]
  * RULES-2300: DoesNotExist при запросе роли постороннему
  * RULES-2304: Попробовать донастроить celery

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 23 Sep 2015 15:26:39 +0300

yandex-tools-idm (0.87.17) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2285: Правильно обрабатывать ошибки в api ручках
  * RULES-2289: Оптимизация синхронизации дерева ролей
  * RULES-2285: Поправил падающие из-за порчи транзакции тесты

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 22 Sep 2015 17:52:00 +0300

yandex-tools-idm (0.87.16) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-2273: Отдельный пул воркеров для тасок над ролями

  [ Mikhail Polykovskij ]
  * RULES-2274: separate passport tasks

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Sep 2015 15:47:19 +0300

yandex-tools-idm (0.87.15) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2274: Уметь обрабатывать неизвестные паспорту логины

  [ Alex Koshelev ]
  * RULES-2273: Отдельный пул воркеров для тасок над ролями

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Sep 2015 14:53:51 +0300

yandex-tools-idm (0.87.14) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2271: Ответы систем, отвечающих на ручку добавления роли кодом '0' текстом, перестали считаться успешными

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 18 Sep 2015 18:32:16 +0300

yandex-tools-idm (0.87.13) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2261: Поправить админку ролей
  * RULES-2267: Выпилить RoleLogWriter
  * RULES-2266: Не работает получение ролей из Бункера

  [ Alex Koshelev ]
  * RULES-2269: Некорректная работа со склонятором

  [ Alexey Boriskin ]
  * RULES-2262: Руководитель не может запросить роль для сотрудника, если у него есть ограниченные права в системе

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 18 Sep 2015 15:52:21 +0300

yandex-tools-idm (0.87.12) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2255: Стал запускать пересчёт fullname-ов только в случае непервоначальной синхронизации и только в случае, если переименования были
  * RULES-2255: Ускорение хеширования
  * RULES-2255: Не забираем данные из систем в silent-режиме
  * RULES-2255: select с дальнейшим сопоставлением slug/pk, чтобы работать в среде с конкурентными insert-ами

  [ Alex Koshelev ]
  * RULES-2116: Управлятор как система отвечает трейсбеком на попытку выдать уже существующую роль

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 17 Sep 2015 18:21:12 +0300

yandex-tools-idm (0.87.11) testing; urgency=low

  * RULES-2253: Прокинуть userify и groupify в wf

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 17 Sep 2015 00:01:47 +0300

yandex-tools-idm (0.87.10) testing; urgency=low

  * RULES-2253: Прокинуть userify и groupify в wf
  * RULES-2251: Давать запрашивать роль всем для всех

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 16 Sep 2015 21:17:12 +0300

yandex-tools-idm (0.87.9) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1418: requests instead of pycurl

  [ Alexey Boriskin ]
  * RULES-2240: Увеличил лимиты
  * RULES-2231: Поправил ошибку с необъявленной переменной
  * RULES-2038: Поправил взятие md5 от текста
  * RULES-2240: Ускорение саджеста

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 16 Sep 2015 18:50:43 +0300

yandex-tools-idm (0.87.8) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1418: Снимать sid=67 при отзыве роли
  * RULES-2228: Сохранять workflow в RoleRequest

  [ Alexey Boriskin ]
  * RULES-2067: Человекопонятные названия ролей
  * RULES-2038: Переименовал файл queue в queues, слишком многие модули не умеют в six
  * RULES-2240: Расставил в некоторых местах select_related, поправил несколько некорректных использований
  * RULES-2240: Добавил тестов на количество запросов
  * RULES-2242: Не приезжают ответственные для групп
  * RULES-2231: Удалил неиспользуемые теперь шаблоны и скрипты
  * RULES-2231: Убрал неиспользуемые импорты
  * RULES-2231: Поправил миграцию
  * RULES-2231: Добавил индекс по полю value_path, поскольку по нему производятся выборки
  * RULES-2231: Улучшил вьюху system_roles_management, добавил опции тихого режима и частичного просмотра
  * RULES-2231: Оптимизировать процесс первичного импорта дерева ролей

  [ Alex Koshelev ]
  * RULES-2040: Обрабатывать поле requester в ручках API

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 16 Sep 2015 11:03:56 +0300

yandex-tools-idm (0.87.7) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2226: Ошибка на странице отчётов по ролям

  [ Alexey Boriskin (uruz) ]

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 12 Sep 2015 23:18:30 +0300

yandex-tools-idm (0.87.6) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2225: Ошибка в проверке паспортного логина

  [ Alexey Boriskin ]
  * RULES-2038: Вернул случайно убранный ребилд
  * RULES-2038: Проимпортировал celery-таски, это должно помочь celery найти их
  * RULES-2225: Тест на ошибку при проверке паспортного логина

  [ Alexey Boriskin (uruz) ]

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 12 Sep 2015 22:10:03 +0300

yandex-tools-idm (0.87.5) testing; urgency=low

  [ Alexey Boriskin ]
  * releasing version 0.87.0

  [ Alex Koshelev ]
  * releasing version 0.87.1
  * releasing version 0.87.2
  * releasing version 0.87.3
  * releasing version 0.87.4

  [ Mikhail Polykovskij ]

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Fri, 11 Sep 2015 21:00:16 +0300

yandex-tools-idm (0.87.4) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2131: fix tests
  * RULES-2201: Уметь обрабатывать несколько занчений параметра user в ручке /api/frontend/reports/actions
  * RULES-2132: Ручка с полной информацией о группе - все поля групп

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 02 Sep 2015 17:19:33 +0300

yandex-tools-idm (0.87.3) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2131: Ручка по составу группы
  * RULES-2193: Сделать правки по ручке /api/frontend/roles/

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 01 Sep 2015 13:14:52 +0300

yandex-tools-idm (0.87.2) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2132: Ручка с полной информацией о группе

  [ Alex Koshelev ]
  * RULES-2179: Индексы в таблице Action
  * RULES-2192: Дополнительные параметры у ручки ролей

  [ Alexey Boriskin ]
  * RULES-2162: Фикс тестов

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 01 Sep 2015 10:01:52 +0300

yandex-tools-idm (0.87.1) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2145: В саджесте не находится пользователь inna-k
  * RULES-2163: Равнозначные подтверждающие стали обязательными
  * RULES-2184: Не отправляем пароли: тест на проброс переменных в контекст

  [ Mikhail Polykovskij ]
  * RULES-2170: Возможность получения саджеста систем группы

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 25 Aug 2015 13:51:03 +0300

yandex-tools-idm (0.87.0) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2064: В письмах о выдаче роли не хватает информации о том, кто запросил роль
  * RULES-2033: Протестировать регулярный пересмотр групповых ролей
  * RULES-2078: Поправил падающий тест
  * RULES-2078: Fix admin
  * RULES-2001: Сделать ручку в testapi по перезапросу роли

  [ Mikhail Polykovskij ]
  * RULES-1921: Ручка для отчетов по ролям
  * RULES-1998: workflow/test должен принимать роль в виде path вдобавок к текущему формату
  * RULES-1922: Ручка для отчетов по действиям
  * RULES-2078: some cleanups, while i am here
  * RULES-2181: Удалять pyc файлы перед тестами
  * RULES-2182: Опечатка в ресурсе User

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 20 Aug 2015 14:22:16 +0300

yandex-tools-idm (0.86.30) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1905: Исправить использование одного паспортного логина несколькими пользователями
  * RULES-2078: Не дает запрашивать роль на логин в другой системе
  * RULES-1905: fix test

  [ Alexey Boriskin ]
  * RULES-2173: Не уехали роли в систему
  * RULES-2162: Не приходит пароль

  [ Alexey Boriskin (uruz) ]

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 14 Aug 2015 12:33:50 +0300

yandex-tools-idm (0.86.26) testing; urgency=low

  [ Alex Koshelev ]
  * Revert "RULES-2116: Управлятор как система отвечает трейсбеком на попытку выдать уже существующую роль"

  [ Alexey Boriskin ]
  * RULES-2144: Персональные роли выдаются по групповой уволенным пользователям

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 10 Aug 2015 15:49:46 +0300

yandex-tools-idm (0.86.25) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1779: Расширить письмо про паспортный логин
  * RULES-2136: /suggest/roles/all/ не должен реагировать на параметр user
  * RULES-2138: Искать в админке ролей по fields-data
  * RULES-2143: Выкинуть остатки удаленной ручки

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 06 Aug 2015 15:23:41 +0300

yandex-tools-idm (0.86.24) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2106: Включить в деве тестинге нужный cron
  * RULES-2095: При дублировании роли отзываем последнюю
  * RULES-2116: Управлятор как система отвечает трейсбеком на попытку выдать уже существующую роль
  * RULES-2122: Невалидные департаменты в workflow
  * RULES-1882: Потеря параметров при retry
  * RULES-2104: Выданы связанные роли на отозванные
  * RULES-2119: Слишком большое количество записей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 05 Aug 2015 12:55:53 +0300

yandex-tools-idm (0.86.23) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2104: Не выдаём связанные роли на неактивные пользовательские

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 31 Jul 2015 18:07:07 +0300

yandex-tools-idm (0.86.22) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2088: Отзывать запрошенную роль
  * RULES-2093: Не работает саджест в шапке
  * RULES-2104: Выданы связанные роли на отозванные

  [ Mikhail Polykovskij ]
  * RULES-2096: Оптимизация миграции action'ов

  [ Alex Koshelev ]
  * RULES-2092: Сломался idm_update_permission_groups
  * RULES-2098: IndexError в очереди запросов
  * RULES-2101: Ошибка в поле ListRolePathField
  * RULES-2108: Оптимизировать выдачу detail данных про людей и системы

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 31 Jul 2015 17:44:33 +0300

yandex-tools-idm (0.86.21) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1995: workflow/test падает при плохом параметре
  * RULES-1994: Прогонять workflow на тесты при аппруве
  * RULES-2085: Прокинуть ручку frontend/rolerequests в публичное апи

  [ Alexey Boriskin ]
  * RULES-2079: При отзыве групповой роли ответственным не уходят письма о том, что роль была отозвана
  * RULES-2079: Поправил падающий тест

  [ Alex Koshelev ]
  * RULES-1978: Починить ручку /api/testapi/users/{login}/ad-restore/

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 30 Jul 2015 14:55:46 +0300

yandex-tools-idm (0.86.20) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-2023: Не давать запрашивать групповую роль там где нельзя
  * RULES-2012: Не отправлять письма при получении групповой роли
  * RULES-2012: Переход на асинхронную отправку всей почты через django-celery-email
  * RULES-1955: Протестировать BasePermittedObjectManager.get_permitted_query
  * RULES-2050: Обработка комментария при действии над ролью

  [ Mikhail Polykovskij ]
  * RULES-1555: Переезд ручки firewall
  * RULES-2059: /frontend/rolerequests/ падает при запросе роли без системы
  * RULES-2058: /frontend/rolerequests/ падает при некорректной роли
  * RULES-2020: Ошибка в отзыве роли
  * RULES-1996: workflow/test отвечает 200 OK при неизвестном пользователе
  * RULES-1996: fix tests
  * RULES-2061: Вытащить ручку /roles в api v1
  * RULES-2072: Закопать /frontend/

  [ Alex Koshelev ]
  * RULES-2028: Убить nginx конфиги idm-old
  * RULES-2025: вывод урла в случае ошибки

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 29 Jul 2015 19:02:55 +0300

yandex-tools-idm (0.86.19) testing; urgency=low

  * RULES-2030: id актуального запроса подтверждения в ресурсе роли

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 23 Jul 2015 20:57:33 +0300

yandex-tools-idm (0.86.18) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-2019: Роль Наблюдатель (Viewer)

  [ Alex Koshelev ]
  * RULES-2025: Выводить заголовки при проверке системных ручек
  * RULES-2030: id актуального запроса в ресурсе роли

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 23 Jul 2015 18:35:43 +0300

yandex-tools-idm (0.86.17) testing; urgency=low

  * RULES-1935: правильные счетчики с учетом фильтров
  * RULES-2015: включаем протухание ролей каждые 15 минут
  * RULES-2015: не проверяем при подтверждении протухание роли

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 22 Jul 2015 17:09:18 +0300

yandex-tools-idm (0.86.16) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-1980: Добавить в ресурс роли флаги действий
  * RULES-1960: Стал создавать role request-ы даже если нет подтверждающих
  * RULES-1960: Протестировать логику перезапроса роли
  * RULES-2002: Добавить синхронизацию групп в крон
  * RULES-1676: Перезапрос роли для пользователя
  * RULES-2016: Ручка для получения информации о группе по её id

  [ Mikhail Polykovskij ]
  * RULES-2006: Дублирующаяся выдача у /suggest/subjects/exist
  * RULES-2009: Перенести апи тестов в api
  * RULES-1921: simplify imports

  [ Alex Koshelev ]
  * RULES-2015: Фикс ручки подтверждения роли

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 21 Jul 2015 20:14:49 +0300

yandex-tools-idm (0.86.15) testing; urgency=low

  * RULES-1991: фильтрация групп и пользователей через ИЛИ

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 17 Jul 2015 13:39:11 +0300

yandex-tools-idm (0.86.14) testing; urgency=low

  * RULES-1992: Использовать for_list представление для related объектов
  * RULES-1991: Поддержка фильтра по группе в ручке ролей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 17 Jul 2015 09:40:39 +0300

yandex-tools-idm (0.86.13) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1171: Отдавать списки действий и состояний ролей
  * RULES-1962: Добавить роли которые подтверждает пользователь в permitted
  * RULES-1944: Неправильный паспортный логин
  * RULES-1986: Лишнее получение списка workflow

  [ Alexey Boriskin ]
  * RULES-1969: Допинывать недовыданные персональные роли
  * RULES-1717: Запуск тестов на sqlite по ключу -L или --sqlite
  * RULES-1717: Миграция, создающая VIEW

  [ Alex Koshelev ]
  * RULES-1935: фикс фильтрации по нескольким пользователям и группам

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 16 Jul 2015 18:40:28 +0300

yandex-tools-idm (0.86.12) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1935: Рефакторинг ручки отдачи очереди запросов

  [ Alex Koshelev ]
  * RULES-1935: доделки

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 15 Jul 2015 15:15:37 +0300

yandex-tools-idm (0.86.11) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-1974: Ручка /roles/{id}/ не должна падать, если у роли нет ни одного rolerequest-a
  * RULES-1956: Проверить и протестировать отправку diff групповых workflow при аппруве workflow

  [ Alex Koshelev ]
  * TOOLSADMIN-2362: Пропали дырки до zookeeper с idm.dev.yandex-team.ru

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 14 Jul 2015 18:11:19 +0300

yandex-tools-idm (0.86.10) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1938: Ручка саджеста людей/групп для фильтра очереди

  [ Alexey Boriskin ]
  * RULES-1957: Починить синхронизацию групп на dev, добавить логгирования
  * RULES-1904: Не саджестятся некоторые пользователи по имени
  * RULES-1957: Фикс тестов

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Mon, 13 Jul 2015 20:10:30 +0300

yandex-tools-idm (0.86.9) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1927: admin fix

  [ Alexey Boriskin ]
  * RULES-1937: Поправил падавшие тесты
  * RULES-1953: Доработка ручки списка ролей
  * RULES-1958: Апдейт ручки запроса для групповой роли

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 10 Jul 2015 14:07:00 +0300

yandex-tools-idm (0.86.8) testing; urgency=low

  * RULES-1927: Добавить несколько FK в Action - ссылка на себя
  * RULES-1927: Добавить несколько FK в Action - RoleRequest
  * RULES-1927: Добавить несколько FK в Action - ApproveRequest
  * RULES-1927: Добавить несколько FK в Action - roles
  * RULES-1936: Ручка саджеста систем для фильтра очереди
  * RULES-1937: Ручка саджеста ролей для фильтра очереди

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Thu, 09 Jul 2015 17:04:47 +0300

yandex-tools-idm (0.86.7) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-1776: используем транзакцию в idm_move_actions
  * RULES-1925: AttributeError в отчетах ad
  * RULES-1947: Доработать шаблон письма о выдаче связной роли
  * RULES-1717: фикс конфига баз для тестов

  [ Alexey Boriskin ]
  * RULES-1717: Правки в логике для перевода тестов на mysql
  * RULES-1717: Перевод тестов на mysql
  * RULES-1717: Распилил тесты саджеста в соответствии с самим саджестом
  * RULES-1717: Ручка саджеста людей/групп для формы

 -- Alexey Boriskin <uruz@yandex-team.ru>  Wed, 08 Jul 2015 15:36:08 +0300

yandex-tools-idm (0.86.6) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1776: Свести все action в одну таблицу - удаление UserRoleAction
  * RULES-1776: Свести все action в одну таблицу - удаление SystemBreakdownLog
  * RULES-1776: Свести все action в одну таблицу - удаление UserADAction
  * RULES-1776: Свести все action в одну таблицу - удаление UserDepartmentChange
  * RULES-1776: move long migration to command

  [ Alexey Boriskin ]
  * RULES-1920: Добавлен модуль с полями для использования в формах
  * RULES-1920: Доработать ручку test для wf групп

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 06 Jul 2015 14:20:01 +0300

yandex-tools-idm (0.86.5) testing; urgency=low

  * RULES-1760: Запрашивать роль в Управляторе из системы
  * RULES-1923: Опечатка в логировании

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Fri, 03 Jul 2015 10:55:42 +0300

yandex-tools-idm (0.86.4) testing; urgency=low

  * RULES-1847: Сделать совместную blackbox+cert аутентификацию
  * RULES-1714: remove glader@ from recipients

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Wed, 01 Jul 2015 20:54:07 +0300

yandex-tools-idm (0.86.3) testing; urgency=low

  [ Alex Koshelev ]
  * RULES-1902: Предлагает другой паспортный логин при выборе роли
  * RULES-1908: Правильная фильтрация ролей с учетом scope

  [ Alexey Boriskin ]
  * RULES-1900: Дублируются предложения паспортных логинов при выдаче новой роли

 -- Mikhail Polykovskij <glader@yandex-team.ru>  Wed, 01 Jul 2015 11:37:41 +0300

yandex-tools-idm (0.86.2) testing; urgency=low

  [ Alexey Boriskin ]
  * RULES-1727: Логика выдачи групповой роли

  [ Mikhail Polykovskij ]
  * RULES-1881: Логирование ретраев

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 30 Jun 2015 14:25:22 +0300

yandex-tools-idm (0.86.1) testing; urgency=low

  [ Mikhail Polykovskij ]
  * RULES-1885: Перенос миграций
  * RULES-1886: Активность в отключенной системе
  * RULES-1889: Ошибка в проверке workflow
  * RULES-1838: Переехать на simplejson

  [ Alexey Boriskin ]
  * RULES-1890: Подтвержденная, но не выданная роль попадает в неактивные

  [ Alex Koshelev ]
  * RULES-1897: 500 при запросе уже имеющейся роли в API v1
  * RULES-1898: Автообновлять роли Стаффа раз в минуту

